#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 536
#define LARGE_STATE_COUNT 44
#define SYMBOL_COUNT 195
#define ALIAS_COUNT 0
#define TOKEN_COUNT 99
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 1

enum {
  sym__identifier = 1,
  sym_comment = 2,
  sym__semicolon = 3,
  sym_true = 4,
  sym_false = 5,
  sym_null = 6,
  sym_underscore = 7,
  sym_static_keyword = 8,
  anon_sym_remote = 9,
  anon_sym_master = 10,
  anon_sym_puppet = 11,
  anon_sym_remotesync = 12,
  anon_sym_mastersync = 13,
  anon_sym_puppetsync = 14,
  sym_escape_sequence = 15,
  sym_float = 16,
  sym_integer = 17,
  sym_node_path = 18,
  sym_get_node = 19,
  anon_sym_COLON_EQ = 20,
  anon_sym_COLON = 21,
  anon_sym_EQ = 22,
  anon_sym_setget = 23,
  anon_sym_COMMA = 24,
  anon_sym_var = 25,
  anon_sym_LPAREN = 26,
  anon_sym_RPAREN = 27,
  anon_sym_export = 28,
  anon_sym_onready = 29,
  anon_sym_const = 30,
  anon_sym_return = 31,
  anon_sym_pass = 32,
  anon_sym_break = 33,
  sym_breakpoint_statement = 34,
  anon_sym_continue = 35,
  sym_tool_statement = 36,
  anon_sym_signal = 37,
  anon_sym_class_name = 38,
  anon_sym_DOT = 39,
  anon_sym_extends = 40,
  anon_sym_if = 41,
  anon_sym_elif = 42,
  anon_sym_else = 43,
  anon_sym_for = 44,
  anon_sym_in = 45,
  anon_sym_while = 46,
  anon_sym_class = 47,
  anon_sym_enum = 48,
  anon_sym_LBRACE = 49,
  anon_sym_RBRACE = 50,
  anon_sym_match = 51,
  sym_pattern_open_ending = 52,
  anon_sym_LBRACK = 53,
  anon_sym_RBRACK = 54,
  anon_sym_and = 55,
  anon_sym_AMP_AMP = 56,
  anon_sym_or = 57,
  anon_sym_PIPE_PIPE = 58,
  anon_sym_PLUS = 59,
  anon_sym_DASH = 60,
  anon_sym_STAR = 61,
  anon_sym_SLASH = 62,
  anon_sym_PERCENT = 63,
  anon_sym_PIPE = 64,
  anon_sym_AMP = 65,
  anon_sym_CARET = 66,
  anon_sym_LT_LT = 67,
  anon_sym_GT_GT = 68,
  anon_sym_is = 69,
  anon_sym_as = 70,
  anon_sym_not = 71,
  anon_sym_BANG = 72,
  anon_sym_TILDE = 73,
  anon_sym_LT = 74,
  anon_sym_LT_EQ = 75,
  anon_sym_EQ_EQ = 76,
  anon_sym_BANG_EQ = 77,
  anon_sym_GT_EQ = 78,
  anon_sym_GT = 79,
  anon_sym_PLUS_EQ = 80,
  anon_sym_DASH_EQ = 81,
  anon_sym_STAR_EQ = 82,
  anon_sym_SLASH_EQ = 83,
  anon_sym_PERCENT_EQ = 84,
  anon_sym_GT_GT_EQ = 85,
  anon_sym_LT_LT_EQ = 86,
  anon_sym_AMP_EQ = 87,
  anon_sym_CARET_EQ = 88,
  anon_sym_PIPE_EQ = 89,
  anon_sym_DASH_GT = 90,
  anon_sym_func = 91,
  anon_sym__init = 92,
  sym__newline = 93,
  sym__indent = 94,
  sym__dedent = 95,
  sym__string_start = 96,
  sym__string_content = 97,
  sym__string_end = 98,
  sym_source = 99,
  sym_identifier = 100,
  sym_name = 101,
  sym_type = 102,
  sym_remote_keyword = 103,
  sym_string = 104,
  sym__statement = 105,
  sym_body = 106,
  sym__simple_statements = 107,
  sym_expression_statement = 108,
  sym_inferred_type = 109,
  sym__variable_assignment = 110,
  sym__variable_inferred_type_assignment = 111,
  sym__variable_typed_assignment = 112,
  sym__variable_typed_definition = 113,
  sym_setter = 114,
  sym_getter = 115,
  sym_setget = 116,
  sym__variable_statement = 117,
  sym_variable_statement = 118,
  sym_export_argument_list = 119,
  sym_export_variable_statement = 120,
  sym_onready_variable_statement = 121,
  sym_const_statement = 122,
  sym_return_statement = 123,
  sym_pass_statement = 124,
  sym_break_statement = 125,
  sym_continue_statement = 126,
  sym_signal_argument_list = 127,
  sym_signal_statement = 128,
  sym_class_name_icon_path = 129,
  sym_class_name_statement = 130,
  sym_dotted_type = 131,
  sym_extends_statement = 132,
  sym_if_statement = 133,
  sym_elif_clause = 134,
  sym_else_clause = 135,
  sym_for_statement = 136,
  sym_while_statement = 137,
  sym_class_definition = 138,
  sym_enum_definition = 139,
  sym_enumerator_list = 140,
  sym__enumerator_expression = 141,
  sym_enumerator = 142,
  sym_match_statement = 143,
  sym_match_body = 144,
  sym_pattern_section = 145,
  sym__pattern = 146,
  sym_pattern_binding = 147,
  sym_pattern_array = 148,
  sym_pattern_dictionary = 149,
  sym_pattern_pair = 150,
  sym__expression = 151,
  sym__primary_expression = 152,
  sym__attribute_expression = 153,
  sym_binary_operator = 154,
  sym_unary_operator = 155,
  sym_comparison_operator = 156,
  sym_subscript = 157,
  sym_attribute_call = 158,
  sym_attribute_subscript = 159,
  sym_attribute = 160,
  sym_conditional_expression = 161,
  sym_parenthesized_expression = 162,
  sym_assignment = 163,
  sym_augmented_assignment = 164,
  sym_pair = 165,
  sym_dictionary = 166,
  sym_array = 167,
  sym_typed_parameter = 168,
  sym_default_parameter = 169,
  sym_typed_default_parameter = 170,
  sym__parameters = 171,
  sym_parameters = 172,
  sym_return_type = 173,
  sym_function_definition = 174,
  sym_constructor_definition = 175,
  sym_argument_list = 176,
  sym_base_call = 177,
  sym_call = 178,
  aux_sym_source_repeat1 = 179,
  aux_sym_string_repeat1 = 180,
  aux_sym__simple_statements_repeat1 = 181,
  aux_sym_export_argument_list_repeat1 = 182,
  aux_sym_signal_argument_list_repeat1 = 183,
  aux_sym_dotted_type_repeat1 = 184,
  aux_sym_if_statement_repeat1 = 185,
  aux_sym_enumerator_list_repeat1 = 186,
  aux_sym_match_body_repeat1 = 187,
  aux_sym_pattern_section_repeat1 = 188,
  aux_sym_pattern_array_repeat1 = 189,
  aux_sym_pattern_dictionary_repeat1 = 190,
  aux_sym_comparison_operator_repeat1 = 191,
  aux_sym_attribute_repeat1 = 192,
  aux_sym_dictionary_repeat1 = 193,
  aux_sym__parameters_repeat1 = 194,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_underscore] = "underscore",
  [sym_static_keyword] = "static_keyword",
  [anon_sym_remote] = "remote",
  [anon_sym_master] = "master",
  [anon_sym_puppet] = "puppet",
  [anon_sym_remotesync] = "remotesync",
  [anon_sym_mastersync] = "mastersync",
  [anon_sym_puppetsync] = "puppetsync",
  [sym_escape_sequence] = "escape_sequence",
  [sym_float] = "float",
  [sym_integer] = "integer",
  [sym_node_path] = "node_path",
  [sym_get_node] = "get_node",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_setget] = "setget",
  [anon_sym_COMMA] = ",",
  [anon_sym_var] = "var",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_export] = "export",
  [anon_sym_onready] = "onready",
  [anon_sym_const] = "const",
  [anon_sym_return] = "return",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [sym_breakpoint_statement] = "breakpoint_statement",
  [anon_sym_continue] = "continue",
  [sym_tool_statement] = "tool_statement",
  [anon_sym_signal] = "signal",
  [anon_sym_class_name] = "class_name",
  [anon_sym_DOT] = ".",
  [anon_sym_extends] = "extends",
  [anon_sym_if] = "if",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_class] = "class",
  [anon_sym_enum] = "enum",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_match] = "match",
  [sym_pattern_open_ending] = "pattern_open_ending",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_and] = "and",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_or] = "or",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_is] = "is",
  [anon_sym_as] = "as",
  [anon_sym_not] = "not",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_func] = "func",
  [anon_sym__init] = "_init",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_source] = "source",
  [sym_identifier] = "identifier",
  [sym_name] = "name",
  [sym_type] = "type",
  [sym_remote_keyword] = "remote_keyword",
  [sym_string] = "string",
  [sym__statement] = "_statement",
  [sym_body] = "body",
  [sym__simple_statements] = "_simple_statements",
  [sym_expression_statement] = "expression_statement",
  [sym_inferred_type] = "inferred_type",
  [sym__variable_assignment] = "_variable_assignment",
  [sym__variable_inferred_type_assignment] = "_variable_inferred_type_assignment",
  [sym__variable_typed_assignment] = "_variable_typed_assignment",
  [sym__variable_typed_definition] = "_variable_typed_definition",
  [sym_setter] = "setter",
  [sym_getter] = "getter",
  [sym_setget] = "setget",
  [sym__variable_statement] = "_variable_statement",
  [sym_variable_statement] = "variable_statement",
  [sym_export_argument_list] = "export_argument_list",
  [sym_export_variable_statement] = "export_variable_statement",
  [sym_onready_variable_statement] = "onready_variable_statement",
  [sym_const_statement] = "const_statement",
  [sym_return_statement] = "return_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_signal_argument_list] = "signal_argument_list",
  [sym_signal_statement] = "signal_statement",
  [sym_class_name_icon_path] = "class_name_icon_path",
  [sym_class_name_statement] = "class_name_statement",
  [sym_dotted_type] = "dotted_type",
  [sym_extends_statement] = "extends_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_class_definition] = "class_definition",
  [sym_enum_definition] = "enum_definition",
  [sym_enumerator_list] = "enumerator_list",
  [sym__enumerator_expression] = "_enumerator_expression",
  [sym_enumerator] = "enumerator",
  [sym_match_statement] = "match_statement",
  [sym_match_body] = "match_body",
  [sym_pattern_section] = "pattern_section",
  [sym__pattern] = "_pattern",
  [sym_pattern_binding] = "pattern_binding",
  [sym_pattern_array] = "pattern_array",
  [sym_pattern_dictionary] = "pattern_dictionary",
  [sym_pattern_pair] = "pattern_pair",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym__attribute_expression] = "_attribute_expression",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_subscript] = "subscript",
  [sym_attribute_call] = "attribute_call",
  [sym_attribute_subscript] = "attribute_subscript",
  [sym_attribute] = "attribute",
  [sym_conditional_expression] = "conditional_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pair] = "pair",
  [sym_dictionary] = "dictionary",
  [sym_array] = "array",
  [sym_typed_parameter] = "typed_parameter",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym__parameters] = "_parameters",
  [sym_parameters] = "parameters",
  [sym_return_type] = "return_type",
  [sym_function_definition] = "function_definition",
  [sym_constructor_definition] = "constructor_definition",
  [sym_argument_list] = "argument_list",
  [sym_base_call] = "base_call",
  [sym_call] = "call",
  [aux_sym_source_repeat1] = "source_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_export_argument_list_repeat1] = "export_argument_list_repeat1",
  [aux_sym_signal_argument_list_repeat1] = "signal_argument_list_repeat1",
  [aux_sym_dotted_type_repeat1] = "dotted_type_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_match_body_repeat1] = "match_body_repeat1",
  [aux_sym_pattern_section_repeat1] = "pattern_section_repeat1",
  [aux_sym_pattern_array_repeat1] = "pattern_array_repeat1",
  [aux_sym_pattern_dictionary_repeat1] = "pattern_dictionary_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_attribute_repeat1] = "attribute_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_comment] = sym_comment,
  [sym__semicolon] = sym__semicolon,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_underscore] = sym_underscore,
  [sym_static_keyword] = sym_static_keyword,
  [anon_sym_remote] = anon_sym_remote,
  [anon_sym_master] = anon_sym_master,
  [anon_sym_puppet] = anon_sym_puppet,
  [anon_sym_remotesync] = anon_sym_remotesync,
  [anon_sym_mastersync] = anon_sym_mastersync,
  [anon_sym_puppetsync] = anon_sym_puppetsync,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_float] = sym_float,
  [sym_integer] = sym_integer,
  [sym_node_path] = sym_node_path,
  [sym_get_node] = sym_get_node,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_setget] = anon_sym_setget,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_onready] = anon_sym_onready,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [sym_breakpoint_statement] = sym_breakpoint_statement,
  [anon_sym_continue] = anon_sym_continue,
  [sym_tool_statement] = sym_tool_statement,
  [anon_sym_signal] = anon_sym_signal,
  [anon_sym_class_name] = anon_sym_class_name,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_match] = anon_sym_match,
  [sym_pattern_open_ending] = sym_pattern_open_ending,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_func] = anon_sym_func,
  [anon_sym__init] = anon_sym__init,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_source] = sym_source,
  [sym_identifier] = sym_identifier,
  [sym_name] = sym_name,
  [sym_type] = sym_type,
  [sym_remote_keyword] = sym_remote_keyword,
  [sym_string] = sym_string,
  [sym__statement] = sym__statement,
  [sym_body] = sym_body,
  [sym__simple_statements] = sym__simple_statements,
  [sym_expression_statement] = sym_expression_statement,
  [sym_inferred_type] = sym_inferred_type,
  [sym__variable_assignment] = sym__variable_assignment,
  [sym__variable_inferred_type_assignment] = sym__variable_inferred_type_assignment,
  [sym__variable_typed_assignment] = sym__variable_typed_assignment,
  [sym__variable_typed_definition] = sym__variable_typed_definition,
  [sym_setter] = sym_setter,
  [sym_getter] = sym_getter,
  [sym_setget] = sym_setget,
  [sym__variable_statement] = sym__variable_statement,
  [sym_variable_statement] = sym_variable_statement,
  [sym_export_argument_list] = sym_export_argument_list,
  [sym_export_variable_statement] = sym_export_variable_statement,
  [sym_onready_variable_statement] = sym_onready_variable_statement,
  [sym_const_statement] = sym_const_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_signal_argument_list] = sym_signal_argument_list,
  [sym_signal_statement] = sym_signal_statement,
  [sym_class_name_icon_path] = sym_class_name_icon_path,
  [sym_class_name_statement] = sym_class_name_statement,
  [sym_dotted_type] = sym_dotted_type,
  [sym_extends_statement] = sym_extends_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym__enumerator_expression] = sym__enumerator_expression,
  [sym_enumerator] = sym_enumerator,
  [sym_match_statement] = sym_match_statement,
  [sym_match_body] = sym_match_body,
  [sym_pattern_section] = sym_pattern_section,
  [sym__pattern] = sym__pattern,
  [sym_pattern_binding] = sym_pattern_binding,
  [sym_pattern_array] = sym_pattern_array,
  [sym_pattern_dictionary] = sym_pattern_dictionary,
  [sym_pattern_pair] = sym_pattern_pair,
  [sym__expression] = sym__expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym__attribute_expression] = sym__attribute_expression,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_subscript] = sym_subscript,
  [sym_attribute_call] = sym_attribute_call,
  [sym_attribute_subscript] = sym_attribute_subscript,
  [sym_attribute] = sym_attribute,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pair] = sym_pair,
  [sym_dictionary] = sym_dictionary,
  [sym_array] = sym_array,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym__parameters] = sym__parameters,
  [sym_parameters] = sym_parameters,
  [sym_return_type] = sym_return_type,
  [sym_function_definition] = sym_function_definition,
  [sym_constructor_definition] = sym_constructor_definition,
  [sym_argument_list] = sym_argument_list,
  [sym_base_call] = sym_base_call,
  [sym_call] = sym_call,
  [aux_sym_source_repeat1] = aux_sym_source_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_export_argument_list_repeat1] = aux_sym_export_argument_list_repeat1,
  [aux_sym_signal_argument_list_repeat1] = aux_sym_signal_argument_list_repeat1,
  [aux_sym_dotted_type_repeat1] = aux_sym_dotted_type_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_match_body_repeat1] = aux_sym_match_body_repeat1,
  [aux_sym_pattern_section_repeat1] = aux_sym_pattern_section_repeat1,
  [aux_sym_pattern_array_repeat1] = aux_sym_pattern_array_repeat1,
  [aux_sym_pattern_dictionary_repeat1] = aux_sym_pattern_dictionary_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_attribute_repeat1] = aux_sym_attribute_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym_static_keyword] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_remote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_master] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_puppet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_remotesync] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mastersync] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_puppetsync] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_node_path] = {
    .visible = true,
    .named = true,
  },
  [sym_get_node] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_setget] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_onready] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [sym_breakpoint_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [sym_tool_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_signal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class_name] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [sym_pattern_open_ending] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__init] = {
    .visible = true,
    .named = false,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_source] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_body] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_type] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_inferred_type_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_typed_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_typed_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_setter] = {
    .visible = true,
    .named = true,
  },
  [sym_getter] = {
    .visible = true,
    .named = true,
  },
  [sym_setget] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_export_variable_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_onready_variable_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_const_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_signal_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_signal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_name_icon_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_name_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_type] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enumerator_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_match_body] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_section] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_pattern_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_array] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_call] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_base_call] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signal_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(48);
      if (lookahead == '!') ADVANCE(110);
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '$') ADVANCE(24);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(75);
      if (lookahead == ')') ADVANCE(76);
      if (lookahead == '*') ADVANCE(94);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(74);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(78);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(61);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(51);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '@') ADVANCE(27);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(44)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(60);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(10)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(10)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(13)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(13)
      if (lookahead == '\r') SKIP(5)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(12)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(12)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(54);
      if (lookahead == '\r') ADVANCE(53);
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(40);
      if (lookahead == 'x') ADVANCE(38);
      if (lookahead != 0) ADVANCE(52);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(75);
      if (lookahead == ')') ADVANCE(76);
      if (lookahead == '*') ADVANCE(94);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(74);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(77);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(51);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(75);
      if (lookahead == ')') ADVANCE(76);
      if (lookahead == '*') ADVANCE(93);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(74);
      if (lookahead == '-') ADVANCE(92);
      if (lookahead == '.') ADVANCE(77);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(18);
      if (lookahead == '>') ADVANCE(119);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(100);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == '.') ADVANCE(77);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(61);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(60);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '\\') ADVANCE(9);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(56);
      END_STATE();
    case 16:
      if (lookahead == '<') ADVANCE(105);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 19:
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 20:
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 21:
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(63);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(64);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 24:
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(25);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 25:
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(67);
      if (lookahead == ' ' ||
          lookahead == '-' ||
          ('/' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(66);
      if (lookahead == ' ' ||
          lookahead == '-' ||
          ('/' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(57);
      END_STATE();
    case 29:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(63);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(64);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(57);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(52);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(33);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (eof) ADVANCE(48);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 44:
      if (eof) ADVANCE(48);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(43)
      END_STATE();
    case 45:
      if (eof) ADVANCE(48);
      if (lookahead == '\n') SKIP(47)
      END_STATE();
    case 46:
      if (eof) ADVANCE(48);
      if (lookahead == '\n') SKIP(47)
      if (lookahead == '\r') SKIP(45)
      END_STATE();
    case 47:
      if (eof) ADVANCE(48);
      if (lookahead == '!') ADVANCE(109);
      if (lookahead == '#') ADVANCE(50);
      if (lookahead == '$') ADVANCE(24);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(75);
      if (lookahead == ')') ADVANCE(76);
      if (lookahead == '*') ADVANCE(93);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(74);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(61);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(51);
      if (lookahead == '<') ADVANCE(16);
      if (lookahead == '=') ADVANCE(72);
      if (lookahead == '>') ADVANCE(20);
      if (lookahead == '@') ADVANCE(27);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(46)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(100);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(47)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(60);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(50);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(54);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(9);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(56);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(57);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(56);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(57);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(60);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(21);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(22);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(23);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(60);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(60);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(64);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_node_path);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_get_node);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_get_node);
      if (('/' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(69);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(56);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(56);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_pattern_open_ending);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '|') ADVANCE(86);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(86);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(85);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(85);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(117);
      if (lookahead == '>') ADVANCE(108);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(117);
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 'a') ADVANCE(3);
      if (lookahead == 'b') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'p') ADVANCE(12);
      if (lookahead == 'r') ADVANCE(13);
      if (lookahead == 's') ADVANCE(14);
      if (lookahead == 't') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(18)
      END_STATE();
    case 2:
      ACCEPT_TOKEN(sym_underscore);
      if (lookahead == 'i') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'n') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      END_STATE();
    case 4:
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 'x') ADVANCE(27);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      if (lookahead == 'u') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(31);
      if (lookahead == 'n') ADVANCE(32);
      if (lookahead == 's') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(34);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(36);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'i') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(50);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(54);
      if (lookahead == 's') ADVANCE(55);
      END_STATE();
    case 26:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(57);
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(59);
      END_STATE();
    case 29:
      if (lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(61);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(66);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 39:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'm') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 43:
      if (lookahead == 'g') ADVANCE(72);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 45:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(75);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(76);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 54:
      if (lookahead == 'f') ADVANCE(83);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 56:
      if (lookahead == 'm') ADVANCE(85);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(89);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 63:
      if (lookahead == 'c') ADVANCE(91);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(94);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(95);
      END_STATE();
    case 69:
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 70:
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 71:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 77:
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 79:
      if (lookahead == 'k') ADVANCE(105);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 81:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 91:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 100:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_tool_statement);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym__init);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == 'p') ADVANCE(122);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '_') ADVANCE(123);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 108:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(126);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 112:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(128);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(131);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(133);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(134);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 122:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 123:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 124:
      if (lookahead == 'u') ADVANCE(137);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(138);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_master);
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 128:
      if (lookahead == 'y') ADVANCE(140);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_puppet);
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_remote);
      if (lookahead == 's') ADVANCE(142);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_setget);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_signal);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_static_keyword);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 136:
      if (lookahead == 'a') ADVANCE(144);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 139:
      if (lookahead == 'y') ADVANCE(146);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_onready);
      END_STATE();
    case 141:
      if (lookahead == 'y') ADVANCE(147);
      END_STATE();
    case 142:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 144:
      if (lookahead == 'm') ADVANCE(150);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 146:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(152);
      END_STATE();
    case 148:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(158);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_breakpoint_statement);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_class_name);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_mastersync);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_puppetsync);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_remotesync);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 47, .external_lex_state = 2},
  [2] = {.lex_state = 47, .external_lex_state = 3},
  [3] = {.lex_state = 47, .external_lex_state = 2},
  [4] = {.lex_state = 47, .external_lex_state = 2},
  [5] = {.lex_state = 47, .external_lex_state = 3},
  [6] = {.lex_state = 47, .external_lex_state = 3},
  [7] = {.lex_state = 47, .external_lex_state = 3},
  [8] = {.lex_state = 47, .external_lex_state = 3},
  [9] = {.lex_state = 47, .external_lex_state = 4},
  [10] = {.lex_state = 47, .external_lex_state = 4},
  [11] = {.lex_state = 47, .external_lex_state = 4},
  [12] = {.lex_state = 47, .external_lex_state = 4},
  [13] = {.lex_state = 47, .external_lex_state = 4},
  [14] = {.lex_state = 47, .external_lex_state = 4},
  [15] = {.lex_state = 47, .external_lex_state = 4},
  [16] = {.lex_state = 47, .external_lex_state = 4},
  [17] = {.lex_state = 47, .external_lex_state = 4},
  [18] = {.lex_state = 47, .external_lex_state = 4},
  [19] = {.lex_state = 47, .external_lex_state = 4},
  [20] = {.lex_state = 47, .external_lex_state = 4},
  [21] = {.lex_state = 47, .external_lex_state = 4},
  [22] = {.lex_state = 47, .external_lex_state = 4},
  [23] = {.lex_state = 47, .external_lex_state = 4},
  [24] = {.lex_state = 47, .external_lex_state = 4},
  [25] = {.lex_state = 47, .external_lex_state = 4},
  [26] = {.lex_state = 47, .external_lex_state = 4},
  [27] = {.lex_state = 47, .external_lex_state = 4},
  [28] = {.lex_state = 47, .external_lex_state = 4},
  [29] = {.lex_state = 47, .external_lex_state = 4},
  [30] = {.lex_state = 47, .external_lex_state = 4},
  [31] = {.lex_state = 47, .external_lex_state = 4},
  [32] = {.lex_state = 47, .external_lex_state = 4},
  [33] = {.lex_state = 47, .external_lex_state = 4},
  [34] = {.lex_state = 47, .external_lex_state = 4},
  [35] = {.lex_state = 47, .external_lex_state = 4},
  [36] = {.lex_state = 47, .external_lex_state = 4},
  [37] = {.lex_state = 47, .external_lex_state = 4},
  [38] = {.lex_state = 47, .external_lex_state = 4},
  [39] = {.lex_state = 47, .external_lex_state = 5},
  [40] = {.lex_state = 47, .external_lex_state = 5},
  [41] = {.lex_state = 47, .external_lex_state = 5},
  [42] = {.lex_state = 47, .external_lex_state = 5},
  [43] = {.lex_state = 47, .external_lex_state = 2},
  [44] = {.lex_state = 47, .external_lex_state = 3},
  [45] = {.lex_state = 47, .external_lex_state = 2},
  [46] = {.lex_state = 47, .external_lex_state = 2},
  [47] = {.lex_state = 47, .external_lex_state = 3},
  [48] = {.lex_state = 47, .external_lex_state = 3},
  [49] = {.lex_state = 47, .external_lex_state = 2},
  [50] = {.lex_state = 47, .external_lex_state = 3},
  [51] = {.lex_state = 47, .external_lex_state = 3},
  [52] = {.lex_state = 47, .external_lex_state = 3},
  [53] = {.lex_state = 47, .external_lex_state = 3},
  [54] = {.lex_state = 47, .external_lex_state = 3},
  [55] = {.lex_state = 47, .external_lex_state = 3},
  [56] = {.lex_state = 47, .external_lex_state = 2},
  [57] = {.lex_state = 47, .external_lex_state = 2},
  [58] = {.lex_state = 47, .external_lex_state = 2},
  [59] = {.lex_state = 47, .external_lex_state = 2},
  [60] = {.lex_state = 47, .external_lex_state = 3},
  [61] = {.lex_state = 47, .external_lex_state = 2},
  [62] = {.lex_state = 47, .external_lex_state = 2},
  [63] = {.lex_state = 47, .external_lex_state = 2},
  [64] = {.lex_state = 47, .external_lex_state = 2},
  [65] = {.lex_state = 47, .external_lex_state = 2},
  [66] = {.lex_state = 47, .external_lex_state = 3},
  [67] = {.lex_state = 47, .external_lex_state = 3},
  [68] = {.lex_state = 47, .external_lex_state = 3},
  [69] = {.lex_state = 47, .external_lex_state = 3},
  [70] = {.lex_state = 47, .external_lex_state = 3},
  [71] = {.lex_state = 47, .external_lex_state = 3},
  [72] = {.lex_state = 47, .external_lex_state = 2},
  [73] = {.lex_state = 47, .external_lex_state = 3},
  [74] = {.lex_state = 47, .external_lex_state = 2},
  [75] = {.lex_state = 47, .external_lex_state = 3},
  [76] = {.lex_state = 47, .external_lex_state = 2},
  [77] = {.lex_state = 47, .external_lex_state = 3},
  [78] = {.lex_state = 47, .external_lex_state = 2},
  [79] = {.lex_state = 47, .external_lex_state = 3},
  [80] = {.lex_state = 47, .external_lex_state = 3},
  [81] = {.lex_state = 47, .external_lex_state = 3},
  [82] = {.lex_state = 47, .external_lex_state = 2},
  [83] = {.lex_state = 47, .external_lex_state = 3},
  [84] = {.lex_state = 47, .external_lex_state = 2},
  [85] = {.lex_state = 47, .external_lex_state = 3},
  [86] = {.lex_state = 47, .external_lex_state = 2},
  [87] = {.lex_state = 47, .external_lex_state = 2},
  [88] = {.lex_state = 47, .external_lex_state = 2},
  [89] = {.lex_state = 47, .external_lex_state = 2},
  [90] = {.lex_state = 47, .external_lex_state = 3},
  [91] = {.lex_state = 47, .external_lex_state = 2},
  [92] = {.lex_state = 47, .external_lex_state = 2},
  [93] = {.lex_state = 47, .external_lex_state = 2},
  [94] = {.lex_state = 47, .external_lex_state = 3},
  [95] = {.lex_state = 47, .external_lex_state = 3},
  [96] = {.lex_state = 47, .external_lex_state = 3},
  [97] = {.lex_state = 47, .external_lex_state = 2},
  [98] = {.lex_state = 47, .external_lex_state = 2},
  [99] = {.lex_state = 47, .external_lex_state = 2},
  [100] = {.lex_state = 47, .external_lex_state = 3},
  [101] = {.lex_state = 47, .external_lex_state = 2},
  [102] = {.lex_state = 10, .external_lex_state = 6},
  [103] = {.lex_state = 10, .external_lex_state = 6},
  [104] = {.lex_state = 10, .external_lex_state = 6},
  [105] = {.lex_state = 10, .external_lex_state = 6},
  [106] = {.lex_state = 10, .external_lex_state = 6},
  [107] = {.lex_state = 10, .external_lex_state = 6},
  [108] = {.lex_state = 10, .external_lex_state = 6},
  [109] = {.lex_state = 10, .external_lex_state = 6},
  [110] = {.lex_state = 10, .external_lex_state = 6},
  [111] = {.lex_state = 10, .external_lex_state = 6},
  [112] = {.lex_state = 10, .external_lex_state = 6},
  [113] = {.lex_state = 10, .external_lex_state = 6},
  [114] = {.lex_state = 10, .external_lex_state = 6},
  [115] = {.lex_state = 10, .external_lex_state = 6},
  [116] = {.lex_state = 10, .external_lex_state = 6},
  [117] = {.lex_state = 10, .external_lex_state = 6},
  [118] = {.lex_state = 10, .external_lex_state = 6},
  [119] = {.lex_state = 10, .external_lex_state = 6},
  [120] = {.lex_state = 10, .external_lex_state = 6},
  [121] = {.lex_state = 10, .external_lex_state = 6},
  [122] = {.lex_state = 10, .external_lex_state = 6},
  [123] = {.lex_state = 10, .external_lex_state = 6},
  [124] = {.lex_state = 10, .external_lex_state = 6},
  [125] = {.lex_state = 10, .external_lex_state = 6},
  [126] = {.lex_state = 10, .external_lex_state = 6},
  [127] = {.lex_state = 10, .external_lex_state = 6},
  [128] = {.lex_state = 10, .external_lex_state = 6},
  [129] = {.lex_state = 10, .external_lex_state = 6},
  [130] = {.lex_state = 10, .external_lex_state = 6},
  [131] = {.lex_state = 10, .external_lex_state = 6},
  [132] = {.lex_state = 10, .external_lex_state = 6},
  [133] = {.lex_state = 10, .external_lex_state = 6},
  [134] = {.lex_state = 10, .external_lex_state = 6},
  [135] = {.lex_state = 10, .external_lex_state = 6},
  [136] = {.lex_state = 10, .external_lex_state = 6},
  [137] = {.lex_state = 10, .external_lex_state = 6},
  [138] = {.lex_state = 10, .external_lex_state = 6},
  [139] = {.lex_state = 10, .external_lex_state = 6},
  [140] = {.lex_state = 10, .external_lex_state = 6},
  [141] = {.lex_state = 10, .external_lex_state = 6},
  [142] = {.lex_state = 47, .external_lex_state = 2},
  [143] = {.lex_state = 47, .external_lex_state = 2},
  [144] = {.lex_state = 47, .external_lex_state = 2},
  [145] = {.lex_state = 47, .external_lex_state = 2},
  [146] = {.lex_state = 47, .external_lex_state = 5},
  [147] = {.lex_state = 47, .external_lex_state = 2},
  [148] = {.lex_state = 47, .external_lex_state = 2},
  [149] = {.lex_state = 47, .external_lex_state = 2},
  [150] = {.lex_state = 47, .external_lex_state = 2},
  [151] = {.lex_state = 47, .external_lex_state = 2},
  [152] = {.lex_state = 47, .external_lex_state = 2},
  [153] = {.lex_state = 47, .external_lex_state = 2},
  [154] = {.lex_state = 47, .external_lex_state = 2},
  [155] = {.lex_state = 47, .external_lex_state = 2},
  [156] = {.lex_state = 47, .external_lex_state = 2},
  [157] = {.lex_state = 47, .external_lex_state = 2},
  [158] = {.lex_state = 47, .external_lex_state = 2},
  [159] = {.lex_state = 47, .external_lex_state = 2},
  [160] = {.lex_state = 47, .external_lex_state = 2},
  [161] = {.lex_state = 10},
  [162] = {.lex_state = 47, .external_lex_state = 2},
  [163] = {.lex_state = 10},
  [164] = {.lex_state = 10},
  [165] = {.lex_state = 10},
  [166] = {.lex_state = 11},
  [167] = {.lex_state = 47, .external_lex_state = 2},
  [168] = {.lex_state = 47, .external_lex_state = 2},
  [169] = {.lex_state = 47, .external_lex_state = 2},
  [170] = {.lex_state = 47, .external_lex_state = 2},
  [171] = {.lex_state = 47, .external_lex_state = 2},
  [172] = {.lex_state = 47, .external_lex_state = 2},
  [173] = {.lex_state = 47, .external_lex_state = 2},
  [174] = {.lex_state = 47, .external_lex_state = 2},
  [175] = {.lex_state = 47, .external_lex_state = 2},
  [176] = {.lex_state = 47, .external_lex_state = 2},
  [177] = {.lex_state = 47, .external_lex_state = 2},
  [178] = {.lex_state = 47, .external_lex_state = 2},
  [179] = {.lex_state = 10},
  [180] = {.lex_state = 11},
  [181] = {.lex_state = 47, .external_lex_state = 2},
  [182] = {.lex_state = 47, .external_lex_state = 2},
  [183] = {.lex_state = 10},
  [184] = {.lex_state = 10},
  [185] = {.lex_state = 47, .external_lex_state = 2},
  [186] = {.lex_state = 47, .external_lex_state = 2},
  [187] = {.lex_state = 47, .external_lex_state = 2},
  [188] = {.lex_state = 47, .external_lex_state = 2},
  [189] = {.lex_state = 47, .external_lex_state = 2},
  [190] = {.lex_state = 47, .external_lex_state = 2},
  [191] = {.lex_state = 10},
  [192] = {.lex_state = 11},
  [193] = {.lex_state = 47, .external_lex_state = 2},
  [194] = {.lex_state = 47, .external_lex_state = 2},
  [195] = {.lex_state = 10},
  [196] = {.lex_state = 10},
  [197] = {.lex_state = 10},
  [198] = {.lex_state = 10},
  [199] = {.lex_state = 10},
  [200] = {.lex_state = 47, .external_lex_state = 2},
  [201] = {.lex_state = 10},
  [202] = {.lex_state = 10},
  [203] = {.lex_state = 47, .external_lex_state = 2},
  [204] = {.lex_state = 10},
  [205] = {.lex_state = 47, .external_lex_state = 2},
  [206] = {.lex_state = 10},
  [207] = {.lex_state = 10},
  [208] = {.lex_state = 10},
  [209] = {.lex_state = 10},
  [210] = {.lex_state = 10},
  [211] = {.lex_state = 10},
  [212] = {.lex_state = 10},
  [213] = {.lex_state = 10},
  [214] = {.lex_state = 10},
  [215] = {.lex_state = 10},
  [216] = {.lex_state = 10},
  [217] = {.lex_state = 10},
  [218] = {.lex_state = 10},
  [219] = {.lex_state = 10},
  [220] = {.lex_state = 10},
  [221] = {.lex_state = 10},
  [222] = {.lex_state = 10},
  [223] = {.lex_state = 10},
  [224] = {.lex_state = 10},
  [225] = {.lex_state = 10},
  [226] = {.lex_state = 10},
  [227] = {.lex_state = 47, .external_lex_state = 2},
  [228] = {.lex_state = 47, .external_lex_state = 2},
  [229] = {.lex_state = 47, .external_lex_state = 2},
  [230] = {.lex_state = 47, .external_lex_state = 2},
  [231] = {.lex_state = 47, .external_lex_state = 2},
  [232] = {.lex_state = 47, .external_lex_state = 2},
  [233] = {.lex_state = 47, .external_lex_state = 2},
  [234] = {.lex_state = 47, .external_lex_state = 2},
  [235] = {.lex_state = 47, .external_lex_state = 2},
  [236] = {.lex_state = 47, .external_lex_state = 2},
  [237] = {.lex_state = 47, .external_lex_state = 2},
  [238] = {.lex_state = 47, .external_lex_state = 2},
  [239] = {.lex_state = 47, .external_lex_state = 2},
  [240] = {.lex_state = 47, .external_lex_state = 2},
  [241] = {.lex_state = 47, .external_lex_state = 2},
  [242] = {.lex_state = 47, .external_lex_state = 2},
  [243] = {.lex_state = 47, .external_lex_state = 2},
  [244] = {.lex_state = 47, .external_lex_state = 2},
  [245] = {.lex_state = 47, .external_lex_state = 2},
  [246] = {.lex_state = 47, .external_lex_state = 2},
  [247] = {.lex_state = 47, .external_lex_state = 2},
  [248] = {.lex_state = 47, .external_lex_state = 2},
  [249] = {.lex_state = 47, .external_lex_state = 2},
  [250] = {.lex_state = 47, .external_lex_state = 2},
  [251] = {.lex_state = 47, .external_lex_state = 2},
  [252] = {.lex_state = 47, .external_lex_state = 2},
  [253] = {.lex_state = 47, .external_lex_state = 2},
  [254] = {.lex_state = 10},
  [255] = {.lex_state = 10, .external_lex_state = 6},
  [256] = {.lex_state = 10, .external_lex_state = 6},
  [257] = {.lex_state = 47},
  [258] = {.lex_state = 0, .external_lex_state = 3},
  [259] = {.lex_state = 47},
  [260] = {.lex_state = 47},
  [261] = {.lex_state = 0, .external_lex_state = 3},
  [262] = {.lex_state = 47},
  [263] = {.lex_state = 0, .external_lex_state = 2},
  [264] = {.lex_state = 13, .external_lex_state = 2},
  [265] = {.lex_state = 47},
  [266] = {.lex_state = 47, .external_lex_state = 2},
  [267] = {.lex_state = 13, .external_lex_state = 2},
  [268] = {.lex_state = 47, .external_lex_state = 2},
  [269] = {.lex_state = 0, .external_lex_state = 2},
  [270] = {.lex_state = 0, .external_lex_state = 2},
  [271] = {.lex_state = 10},
  [272] = {.lex_state = 10},
  [273] = {.lex_state = 0, .external_lex_state = 6},
  [274] = {.lex_state = 0, .external_lex_state = 6},
  [275] = {.lex_state = 0, .external_lex_state = 3},
  [276] = {.lex_state = 0, .external_lex_state = 6},
  [277] = {.lex_state = 0, .external_lex_state = 3},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 0, .external_lex_state = 6},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 0},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0},
  [287] = {.lex_state = 47},
  [288] = {.lex_state = 47},
  [289] = {.lex_state = 0, .external_lex_state = 2},
  [290] = {.lex_state = 0, .external_lex_state = 2},
  [291] = {.lex_state = 13, .external_lex_state = 2},
  [292] = {.lex_state = 47, .external_lex_state = 6},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 47},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 47},
  [297] = {.lex_state = 47},
  [298] = {.lex_state = 0, .external_lex_state = 6},
  [299] = {.lex_state = 12},
  [300] = {.lex_state = 47},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 0, .external_lex_state = 6},
  [303] = {.lex_state = 14, .external_lex_state = 7},
  [304] = {.lex_state = 47},
  [305] = {.lex_state = 47, .external_lex_state = 6},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 14, .external_lex_state = 7},
  [309] = {.lex_state = 0},
  [310] = {.lex_state = 12},
  [311] = {.lex_state = 0},
  [312] = {.lex_state = 47},
  [313] = {.lex_state = 47, .external_lex_state = 6},
  [314] = {.lex_state = 14, .external_lex_state = 7},
  [315] = {.lex_state = 14, .external_lex_state = 7},
  [316] = {.lex_state = 14, .external_lex_state = 7},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 0, .external_lex_state = 6},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 47},
  [321] = {.lex_state = 0},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 13, .external_lex_state = 2},
  [325] = {.lex_state = 47},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 47},
  [330] = {.lex_state = 0, .external_lex_state = 6},
  [331] = {.lex_state = 47, .external_lex_state = 6},
  [332] = {.lex_state = 0, .external_lex_state = 6},
  [333] = {.lex_state = 0},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 0, .external_lex_state = 6},
  [336] = {.lex_state = 0},
  [337] = {.lex_state = 47},
  [338] = {.lex_state = 0},
  [339] = {.lex_state = 0},
  [340] = {.lex_state = 0},
  [341] = {.lex_state = 13},
  [342] = {.lex_state = 13},
  [343] = {.lex_state = 0},
  [344] = {.lex_state = 13},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 12},
  [347] = {.lex_state = 0},
  [348] = {.lex_state = 0},
  [349] = {.lex_state = 47},
  [350] = {.lex_state = 47},
  [351] = {.lex_state = 0, .external_lex_state = 6},
  [352] = {.lex_state = 0},
  [353] = {.lex_state = 47},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 0},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 0},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 47, .external_lex_state = 6},
  [365] = {.lex_state = 47},
  [366] = {.lex_state = 12},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 13},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 0},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 0, .external_lex_state = 6},
  [376] = {.lex_state = 0, .external_lex_state = 6},
  [377] = {.lex_state = 0},
  [378] = {.lex_state = 0, .external_lex_state = 6},
  [379] = {.lex_state = 0, .external_lex_state = 6},
  [380] = {.lex_state = 13},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 0, .external_lex_state = 6},
  [383] = {.lex_state = 0, .external_lex_state = 6},
  [384] = {.lex_state = 0, .external_lex_state = 6},
  [385] = {.lex_state = 47},
  [386] = {.lex_state = 0},
  [387] = {.lex_state = 0, .external_lex_state = 6},
  [388] = {.lex_state = 13},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 0, .external_lex_state = 6},
  [393] = {.lex_state = 0},
  [394] = {.lex_state = 0},
  [395] = {.lex_state = 0},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 47},
  [399] = {.lex_state = 47, .external_lex_state = 6},
  [400] = {.lex_state = 0, .external_lex_state = 2},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 0},
  [404] = {.lex_state = 0, .external_lex_state = 6},
  [405] = {.lex_state = 0},
  [406] = {.lex_state = 0},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 47},
  [410] = {.lex_state = 0},
  [411] = {.lex_state = 0},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 0, .external_lex_state = 6},
  [414] = {.lex_state = 0, .external_lex_state = 6},
  [415] = {.lex_state = 0},
  [416] = {.lex_state = 0, .external_lex_state = 6},
  [417] = {.lex_state = 0},
  [418] = {.lex_state = 47},
  [419] = {.lex_state = 0, .external_lex_state = 6},
  [420] = {.lex_state = 0},
  [421] = {.lex_state = 0},
  [422] = {.lex_state = 0},
  [423] = {.lex_state = 0, .external_lex_state = 6},
  [424] = {.lex_state = 0},
  [425] = {.lex_state = 0, .external_lex_state = 6},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 47},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 47},
  [432] = {.lex_state = 0, .external_lex_state = 6},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 0, .external_lex_state = 6},
  [436] = {.lex_state = 47},
  [437] = {.lex_state = 0},
  [438] = {.lex_state = 47},
  [439] = {.lex_state = 0, .external_lex_state = 6},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 47},
  [442] = {.lex_state = 0, .external_lex_state = 6},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 0, .external_lex_state = 8},
  [445] = {.lex_state = 0, .external_lex_state = 6},
  [446] = {.lex_state = 0},
  [447] = {.lex_state = 47},
  [448] = {.lex_state = 0},
  [449] = {.lex_state = 0},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 0, .external_lex_state = 6},
  [453] = {.lex_state = 0, .external_lex_state = 6},
  [454] = {.lex_state = 0, .external_lex_state = 6},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 47},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 0},
  [459] = {.lex_state = 0, .external_lex_state = 6},
  [460] = {.lex_state = 0, .external_lex_state = 6},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 0, .external_lex_state = 6},
  [464] = {.lex_state = 0, .external_lex_state = 6},
  [465] = {.lex_state = 0, .external_lex_state = 6},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 0, .external_lex_state = 6},
  [471] = {.lex_state = 0, .external_lex_state = 6},
  [472] = {.lex_state = 0, .external_lex_state = 6},
  [473] = {.lex_state = 0},
  [474] = {.lex_state = 0},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 0},
  [477] = {.lex_state = 0},
  [478] = {.lex_state = 47},
  [479] = {.lex_state = 47},
  [480] = {.lex_state = 0, .external_lex_state = 6},
  [481] = {.lex_state = 47},
  [482] = {.lex_state = 0, .external_lex_state = 6},
  [483] = {.lex_state = 0},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 0},
  [486] = {.lex_state = 0},
  [487] = {.lex_state = 0},
  [488] = {.lex_state = 0},
  [489] = {.lex_state = 0},
  [490] = {.lex_state = 0},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 0},
  [494] = {.lex_state = 0},
  [495] = {.lex_state = 0},
  [496] = {.lex_state = 0, .external_lex_state = 6},
  [497] = {.lex_state = 0},
  [498] = {.lex_state = 47},
  [499] = {.lex_state = 47},
  [500] = {.lex_state = 0, .external_lex_state = 6},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 47},
  [503] = {.lex_state = 47},
  [504] = {.lex_state = 47},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 0, .external_lex_state = 6},
  [507] = {.lex_state = 0},
  [508] = {.lex_state = 0},
  [509] = {.lex_state = 47},
  [510] = {.lex_state = 0, .external_lex_state = 6},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 47},
  [513] = {.lex_state = 47},
  [514] = {.lex_state = 0},
  [515] = {.lex_state = 0},
  [516] = {.lex_state = 47},
  [517] = {.lex_state = 47},
  [518] = {.lex_state = 47},
  [519] = {.lex_state = 47},
  [520] = {.lex_state = 47},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 47},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 47},
  [526] = {.lex_state = 47},
  [527] = {.lex_state = 47},
  [528] = {.lex_state = 0},
  [529] = {.lex_state = 47},
  [530] = {.lex_state = 0},
  [531] = {.lex_state = 47},
  [532] = {.lex_state = 47},
  [533] = {.lex_state = 47},
  [534] = {.lex_state = 47},
  [535] = {.lex_state = 47},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
  [4] = {
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
  },
  [7] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [8] = {
    [ts_external_token__indent] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_underscore] = ACTIONS(1),
    [sym_static_keyword] = ACTIONS(1),
    [anon_sym_remote] = ACTIONS(1),
    [anon_sym_master] = ACTIONS(1),
    [anon_sym_puppet] = ACTIONS(1),
    [anon_sym_remotesync] = ACTIONS(1),
    [anon_sym_mastersync] = ACTIONS(1),
    [anon_sym_puppetsync] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_node_path] = ACTIONS(1),
    [sym_get_node] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_setget] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_onready] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [sym_breakpoint_statement] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_tool_statement] = ACTIONS(1),
    [anon_sym_signal] = ACTIONS(1),
    [anon_sym_class_name] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [sym_pattern_open_ending] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym__init] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_source] = STATE(521),
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(357),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(3),
    [sym__simple_statements] = STATE(3),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_if_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_class_definition] = STATE(3),
    [sym_enum_definition] = STATE(3),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(3),
    [sym_constructor_definition] = STATE(3),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(11),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_func] = ACTIONS(65),
    [sym__string_start] = ACTIONS(67),
  },
  [2] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(338),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(5),
    [sym__simple_statements] = STATE(5),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_if_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_class_definition] = STATE(5),
    [sym_enum_definition] = STATE(5),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(5),
    [sym_constructor_definition] = STATE(5),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(5),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(69),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_class] = ACTIONS(79),
    [anon_sym_enum] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_func] = ACTIONS(83),
    [sym__dedent] = ACTIONS(85),
    [sym__string_start] = ACTIONS(67),
  },
  [3] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(357),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(4),
    [sym__simple_statements] = STATE(4),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_if_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_class_definition] = STATE(4),
    [sym_enum_definition] = STATE(4),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(4),
    [sym_constructor_definition] = STATE(4),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(87),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(11),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_func] = ACTIONS(65),
    [sym__string_start] = ACTIONS(67),
  },
  [4] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(357),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(4),
    [sym__simple_statements] = STATE(4),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_if_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_class_definition] = STATE(4),
    [sym_enum_definition] = STATE(4),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(4),
    [sym_constructor_definition] = STATE(4),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(89),
    [sym__identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(94),
    [sym_false] = ACTIONS(94),
    [sym_null] = ACTIONS(94),
    [sym_static_keyword] = ACTIONS(97),
    [anon_sym_remote] = ACTIONS(100),
    [anon_sym_master] = ACTIONS(100),
    [anon_sym_puppet] = ACTIONS(100),
    [anon_sym_remotesync] = ACTIONS(100),
    [anon_sym_mastersync] = ACTIONS(100),
    [anon_sym_puppetsync] = ACTIONS(100),
    [sym_float] = ACTIONS(103),
    [sym_integer] = ACTIONS(94),
    [sym_node_path] = ACTIONS(103),
    [sym_get_node] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(106),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(112),
    [anon_sym_onready] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(118),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_pass] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(127),
    [sym_breakpoint_statement] = ACTIONS(130),
    [anon_sym_continue] = ACTIONS(133),
    [sym_tool_statement] = ACTIONS(130),
    [anon_sym_signal] = ACTIONS(136),
    [anon_sym_class_name] = ACTIONS(139),
    [anon_sym_DOT] = ACTIONS(142),
    [anon_sym_extends] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(148),
    [anon_sym_for] = ACTIONS(151),
    [anon_sym_while] = ACTIONS(154),
    [anon_sym_class] = ACTIONS(157),
    [anon_sym_enum] = ACTIONS(160),
    [anon_sym_LBRACE] = ACTIONS(163),
    [anon_sym_match] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_not] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_func] = ACTIONS(178),
    [sym__string_start] = ACTIONS(181),
  },
  [5] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(338),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(5),
    [sym__simple_statements] = STATE(5),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_if_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_class_definition] = STATE(5),
    [sym_enum_definition] = STATE(5),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(5),
    [sym_constructor_definition] = STATE(5),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(5),
    [sym__identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(94),
    [sym_false] = ACTIONS(94),
    [sym_null] = ACTIONS(94),
    [sym_static_keyword] = ACTIONS(184),
    [anon_sym_remote] = ACTIONS(100),
    [anon_sym_master] = ACTIONS(100),
    [anon_sym_puppet] = ACTIONS(100),
    [anon_sym_remotesync] = ACTIONS(100),
    [anon_sym_mastersync] = ACTIONS(100),
    [anon_sym_puppetsync] = ACTIONS(100),
    [sym_float] = ACTIONS(103),
    [sym_integer] = ACTIONS(94),
    [sym_node_path] = ACTIONS(103),
    [sym_get_node] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(106),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(112),
    [anon_sym_onready] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(118),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_pass] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(127),
    [sym_breakpoint_statement] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(133),
    [sym_tool_statement] = ACTIONS(187),
    [anon_sym_signal] = ACTIONS(136),
    [anon_sym_class_name] = ACTIONS(139),
    [anon_sym_DOT] = ACTIONS(142),
    [anon_sym_extends] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(190),
    [anon_sym_for] = ACTIONS(193),
    [anon_sym_while] = ACTIONS(196),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(202),
    [anon_sym_LBRACE] = ACTIONS(163),
    [anon_sym_match] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_not] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_func] = ACTIONS(205),
    [sym__dedent] = ACTIONS(89),
    [sym__string_start] = ACTIONS(181),
  },
  [6] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(338),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(8),
    [sym__simple_statements] = STATE(8),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_if_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_class_definition] = STATE(8),
    [sym_enum_definition] = STATE(8),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(8),
    [sym_constructor_definition] = STATE(8),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(8),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(69),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_class] = ACTIONS(79),
    [anon_sym_enum] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_func] = ACTIONS(83),
    [sym__dedent] = ACTIONS(208),
    [sym__string_start] = ACTIONS(67),
  },
  [7] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(338),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(2),
    [sym__simple_statements] = STATE(2),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_if_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_class_definition] = STATE(2),
    [sym_enum_definition] = STATE(2),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(2),
    [sym_constructor_definition] = STATE(2),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(2),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(69),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_class] = ACTIONS(79),
    [anon_sym_enum] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_func] = ACTIONS(83),
    [sym__dedent] = ACTIONS(210),
    [sym__string_start] = ACTIONS(67),
  },
  [8] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(338),
    [sym_string] = STATE(123),
    [sym__statement] = STATE(5),
    [sym__simple_statements] = STATE(5),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_if_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_class_definition] = STATE(5),
    [sym_enum_definition] = STATE(5),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_function_definition] = STATE(5),
    [sym_constructor_definition] = STATE(5),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [aux_sym_source_repeat1] = STATE(5),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(69),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_class] = ACTIONS(79),
    [anon_sym_enum] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_func] = ACTIONS(83),
    [sym__dedent] = ACTIONS(212),
    [sym__string_start] = ACTIONS(67),
  },
  [9] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(44),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [10] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(78),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [11] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(97),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [12] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(45),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [13] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(65),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [14] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(95),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [15] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(60),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [16] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(81),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [17] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(94),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [18] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(96),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [19] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(67),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [20] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(69),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [21] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(99),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [22] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(72),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [23] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(82),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [24] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(71),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [25] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(73),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [26] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(91),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [27] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(93),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [28] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(277),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [29] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(88),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [30] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(75),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [31] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(92),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [32] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(64),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [33] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(79),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [34] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(87),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [35] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(275),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [36] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(56),
    [sym__simple_statements] = STATE(61),
    [sym_expression_statement] = STATE(351),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(351),
    [sym_export_variable_statement] = STATE(351),
    [sym_onready_variable_statement] = STATE(351),
    [sym_const_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_pass_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_signal_statement] = STATE(351),
    [sym_class_name_statement] = STATE(351),
    [sym_extends_statement] = STATE(351),
    [sym_match_statement] = STATE(351),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(33),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(33),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(216),
    [sym__string_start] = ACTIONS(67),
  },
  [37] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(83),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [38] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_body] = STATE(85),
    [sym__simple_statements] = STATE(52),
    [sym_expression_statement] = STATE(379),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(379),
    [sym_export_variable_statement] = STATE(379),
    [sym_onready_variable_statement] = STATE(379),
    [sym_const_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_pass_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_signal_statement] = STATE(379),
    [sym_class_name_statement] = STATE(379),
    [sym_extends_statement] = STATE(379),
    [sym_match_statement] = STATE(379),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(71),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__indent] = ACTIONS(214),
    [sym__string_start] = ACTIONS(67),
  },
  [39] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_expression_statement] = STATE(423),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(423),
    [sym_export_variable_statement] = STATE(423),
    [sym_onready_variable_statement] = STATE(423),
    [sym_const_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_pass_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_signal_statement] = STATE(423),
    [sym_class_name_statement] = STATE(423),
    [sym_extends_statement] = STATE(423),
    [sym_match_statement] = STATE(423),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(218),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(218),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__newline] = ACTIONS(220),
    [sym__string_start] = ACTIONS(67),
  },
  [40] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_expression_statement] = STATE(423),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(423),
    [sym_export_variable_statement] = STATE(423),
    [sym_onready_variable_statement] = STATE(423),
    [sym_const_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_pass_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_signal_statement] = STATE(423),
    [sym_class_name_statement] = STATE(423),
    [sym_extends_statement] = STATE(423),
    [sym_match_statement] = STATE(423),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(218),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(218),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__newline] = ACTIONS(222),
    [sym__string_start] = ACTIONS(67),
  },
  [41] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_expression_statement] = STATE(423),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(423),
    [sym_export_variable_statement] = STATE(423),
    [sym_onready_variable_statement] = STATE(423),
    [sym_const_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_pass_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_signal_statement] = STATE(423),
    [sym_class_name_statement] = STATE(423),
    [sym_extends_statement] = STATE(423),
    [sym_match_statement] = STATE(423),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(218),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(218),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__newline] = ACTIONS(224),
    [sym__string_start] = ACTIONS(67),
  },
  [42] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_expression_statement] = STATE(423),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(423),
    [sym_export_variable_statement] = STATE(423),
    [sym_onready_variable_statement] = STATE(423),
    [sym_const_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_pass_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_signal_statement] = STATE(423),
    [sym_class_name_statement] = STATE(423),
    [sym_extends_statement] = STATE(423),
    [sym_match_statement] = STATE(423),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(218),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(218),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__newline] = ACTIONS(226),
    [sym__string_start] = ACTIONS(67),
  },
  [43] = {
    [sym_identifier] = STATE(123),
    [sym_remote_keyword] = STATE(430),
    [sym_string] = STATE(123),
    [sym_expression_statement] = STATE(423),
    [sym__variable_statement] = STATE(482),
    [sym_variable_statement] = STATE(423),
    [sym_export_variable_statement] = STATE(423),
    [sym_onready_variable_statement] = STATE(423),
    [sym_const_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_pass_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_signal_statement] = STATE(423),
    [sym_class_name_statement] = STATE(423),
    [sym_extends_statement] = STATE(423),
    [sym_match_statement] = STATE(423),
    [sym__expression] = STATE(274),
    [sym__primary_expression] = STATE(109),
    [sym__attribute_expression] = STATE(478),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_comparison_operator] = STATE(274),
    [sym_subscript] = STATE(123),
    [sym_attribute] = STATE(109),
    [sym_conditional_expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(123),
    [sym_assignment] = STATE(413),
    [sym_augmented_assignment] = STATE(413),
    [sym_dictionary] = STATE(123),
    [sym_array] = STATE(123),
    [sym_base_call] = STATE(123),
    [sym_call] = STATE(123),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_onready] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [sym_breakpoint_statement] = ACTIONS(218),
    [anon_sym_continue] = ACTIONS(35),
    [sym_tool_statement] = ACTIONS(218),
    [anon_sym_signal] = ACTIONS(37),
    [anon_sym_class_name] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [sym__string_start] = ACTIONS(67),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(232), 1,
      anon_sym_elif,
    ACTIONS(234), 1,
      anon_sym_else,
    STATE(80), 1,
      sym_else_clause,
    STATE(47), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(230), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(228), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [67] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(236), 1,
      anon_sym_elif,
    ACTIONS(238), 1,
      anon_sym_else,
    STATE(98), 1,
      sym_else_clause,
    STATE(46), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(230), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(228), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [134] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(236), 1,
      anon_sym_elif,
    ACTIONS(238), 1,
      anon_sym_else,
    STATE(84), 1,
      sym_else_clause,
    STATE(49), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(240), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(242), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(232), 1,
      anon_sym_elif,
    ACTIONS(234), 1,
      anon_sym_else,
    STATE(70), 1,
      sym_else_clause,
    STATE(48), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(240), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(242), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      anon_sym_elif,
    STATE(48), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(246), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(244), 35,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 1,
      anon_sym_elif,
    STATE(49), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(246), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(244), 35,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(256), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(254), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(260), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(258), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(262), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(266), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(272), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(270), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(276), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(274), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(280), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(276), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(274), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(260), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(258), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(272), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(270), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(280), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(262), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(256), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(254), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(266), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(282), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(284), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(288), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(292), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(290), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(296), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(294), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(298), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(282), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(284), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(302), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(308), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(306), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(308), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(306), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(310), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(292), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(290), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(314), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(318), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(320), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(324), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(322), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(326), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(328), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [1992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(332), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(330), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(242), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(336), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(334), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(310), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(340), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(338), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(302), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(344), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(342), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(324), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(322), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(344), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(342), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(314), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(298), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(318), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(320), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(340), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(338), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(336), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(334), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(296), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(294), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(288), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(326), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(328), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(348), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(346), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [2964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(348), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(346), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [3018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(242), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [3072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(332), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(330), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [3126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(352), 12,
      sym__dedent,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(350), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [3180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(352), 12,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(350), 34,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_func,
  [3234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_DOT,
    STATE(117), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(356), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(354), 27,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(362), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 26,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3344] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(372), 1,
      anon_sym_PIPE,
    ACTIONS(374), 1,
      anon_sym_AMP,
    ACTIONS(376), 1,
      anon_sym_CARET,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(362), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3414] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(372), 1,
      anon_sym_PIPE,
    ACTIONS(374), 1,
      anon_sym_AMP,
    ACTIONS(376), 1,
      anon_sym_CARET,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(382), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(362), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(360), 23,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 10,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(362), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3604] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(374), 1,
      anon_sym_AMP,
    ACTIONS(376), 1,
      anon_sym_CARET,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3672] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(372), 1,
      anon_sym_PIPE,
    ACTIONS(374), 1,
      anon_sym_AMP,
    ACTIONS(376), 1,
      anon_sym_CARET,
    ACTIONS(386), 1,
      anon_sym_EQ,
    ACTIONS(390), 1,
      anon_sym_LBRACK,
    ACTIONS(394), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    STATE(256), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(382), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(392), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(396), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(388), 5,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(384), 14,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3754] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(376), 1,
      anon_sym_CARET,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3820] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(362), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 26,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(117), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(356), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(354), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(119), 1,
      sym_argument_list,
    ACTIONS(400), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(398), 26,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(380), 1,
      anon_sym_is,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(406), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(404), 25,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(408), 1,
      anon_sym_DOT,
    STATE(117), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(400), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(398), 27,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(411), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(415), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(419), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(423), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(427), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(433), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(431), 27,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(437), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(441), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(445), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(449), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(453), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(459), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(457), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(398), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(463), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(461), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(362), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(465), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(469), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(473), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(477), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(481), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(487), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(485), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(489), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 13,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(493), 28,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    ACTIONS(366), 1,
      anon_sym_as,
    ACTIONS(372), 1,
      anon_sym_PIPE,
    ACTIONS(374), 1,
      anon_sym_AMP,
    ACTIONS(376), 1,
      anon_sym_CARET,
    ACTIONS(380), 1,
      anon_sym_is,
    ACTIONS(390), 1,
      anon_sym_LBRACK,
    STATE(136), 1,
      sym_argument_list,
    ACTIONS(368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(378), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(382), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(392), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(499), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(497), 19,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5426] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(513), 1,
      anon_sym_RBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(254), 1,
      sym_identifier,
    STATE(373), 1,
      sym_pair,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(523), 1,
      anon_sym_RBRACE,
    STATE(254), 1,
      sym_identifier,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(491), 1,
      sym_pair,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5574] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(525), 1,
      anon_sym_RBRACE,
    STATE(254), 1,
      sym_identifier,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(491), 1,
      sym_pair,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5648] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(527), 1,
      anon_sym_RBRACE,
    STATE(254), 1,
      sym_identifier,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(491), 1,
      sym_pair,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5722] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    ACTIONS(529), 2,
      sym__newline,
      sym__semicolon,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(383), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5792] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(531), 1,
      anon_sym_RBRACE,
    STATE(254), 1,
      sym_identifier,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(491), 1,
      sym_pair,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5866] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(533), 1,
      anon_sym_RBRACE,
    STATE(254), 1,
      sym_identifier,
    STATE(405), 1,
      sym_pair,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [5940] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(254), 1,
      sym_identifier,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(491), 1,
      sym_pair,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(431), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(535), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(317), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(537), 1,
      anon_sym_RBRACK,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(539), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(301), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6218] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(541), 1,
      anon_sym_RBRACK,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(309), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(543), 1,
      anon_sym_RBRACK,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(322), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6356] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(545), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(547), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(321), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6494] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(549), 1,
      anon_sym_RBRACK,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6632] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(553), 1,
      anon_sym_RBRACK,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6770] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(362), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(360), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [6830] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(318), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [6896] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [6948] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(362), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(573), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(360), 16,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [7012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_DOT,
    STATE(206), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(356), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(354), 28,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [7058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 5,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(493), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
  [7100] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(512), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7166] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(503), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7232] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(502), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7298] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(466), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7364] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(477), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7430] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(422), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7496] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(458), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7562] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(401), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7628] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(441), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7694] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(438), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7760] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(436), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7826] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(429), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(206), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(356), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(354), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [7936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 5,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(437), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
  [7978] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(302), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8044] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(387), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(406), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(404), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [8160] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(362), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(360), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [8222] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(481), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8288] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(448), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8354] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(382), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8420] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(449), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8486] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(333), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8552] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(273), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8618] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(585), 1,
      anon_sym_is,
    STATE(221), 1,
      sym_argument_list,
    STATE(272), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(573), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(583), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(587), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(579), 5,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(384), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [8690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 5,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(465), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
  [8732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(287), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8798] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(509), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8864] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [8914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 27,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [8962] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9020] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 19,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 21,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9130] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(109), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(332), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(419), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_as,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 27,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9286] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(359), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(589), 1,
      anon_sym_LBRACK,
    STATE(216), 1,
      sym_argument_list,
    ACTIONS(400), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(398), 27,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9400] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(191), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    STATE(360), 3,
      sym__expression,
      sym_comparison_operator,
      sym_conditional_expression,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_DOT,
    STATE(206), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(400), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(398), 28,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(463), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(461), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(459), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(457), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(362), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(360), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(398), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(427), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(473), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(433), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(431), 28,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(481), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(411), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(415), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(445), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [9965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(441), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(487), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(485), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(573), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(583), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(497), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(477), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(469), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(489), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(453), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(449), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(423), 29,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [10360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(594), 1,
      sym_integer,
    STATE(262), 1,
      sym_attribute,
    STATE(265), 1,
      sym__primary_expression,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(487), 1,
      sym__enumerator_expression,
    ACTIONS(503), 3,
      sym_true,
      sym_false,
      sym_null,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 4,
      sym_string,
      sym_dictionary,
      sym_array,
      sym_base_call,
    STATE(257), 6,
      sym_identifier,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_call,
  [10430] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(259), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10491] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(116), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10552] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(105), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(183), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10674] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(104), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10735] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(103), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(478), 1,
      sym__attribute_expression,
    STATE(141), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(196), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10918] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(220), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10979] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(113), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11040] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(107), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11101] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(112), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(184), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11223] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(108), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11284] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(164), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(106), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11406] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(163), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11467] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(195), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11528] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(161), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11589] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(197), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11650] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(198), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11711] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(199), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11772] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(499), 1,
      sym__attribute_expression,
    STATE(202), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11833] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(110), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11894] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_DOT,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      sym__string_start,
    STATE(456), 1,
      sym__attribute_expression,
    STATE(260), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(505), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(503), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(517), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(213), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11955] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(498), 1,
      sym__attribute_expression,
    STATE(111), 2,
      sym__primary_expression,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(123), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_EQ,
    ACTIONS(433), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(431), 23,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [12057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_EQ,
    STATE(255), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(598), 6,
      anon_sym_in,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(497), 14,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      anon_sym_EQ,
    STATE(255), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(396), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(388), 6,
      anon_sym_in,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(604), 14,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(433), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(608), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(431), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
  [12166] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(612), 1,
      sym_float,
    ACTIONS(614), 1,
      anon_sym_var,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    ACTIONS(620), 1,
      sym__dedent,
    STATE(261), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(610), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(353), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12210] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_RBRACK,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(573), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(583), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12262] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(624), 1,
      anon_sym_RBRACK,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(573), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(583), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 1,
      sym__identifier,
    ACTIONS(632), 1,
      sym_float,
    ACTIONS(635), 1,
      anon_sym_var,
    ACTIONS(638), 1,
      anon_sym_LBRACE,
    ACTIONS(641), 1,
      anon_sym_LBRACK,
    ACTIONS(644), 1,
      sym__dedent,
    ACTIONS(646), 1,
      sym__string_start,
    STATE(261), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(629), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(353), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(608), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(431), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_is,
      anon_sym_as,
  [12388] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(612), 1,
      sym_float,
    ACTIONS(614), 1,
      anon_sym_var,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    STATE(258), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(610), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(353), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12429] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(614), 1,
      anon_sym_var,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    ACTIONS(653), 1,
      anon_sym_RBRACK,
    ACTIONS(651), 2,
      sym_float,
      sym_pattern_open_ending,
    ACTIONS(649), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(403), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12470] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_AMP,
    ACTIONS(565), 1,
      anon_sym_CARET,
    ACTIONS(569), 1,
      anon_sym_is,
    ACTIONS(571), 1,
      anon_sym_as,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    STATE(221), 1,
      sym_argument_list,
    ACTIONS(559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(573), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(583), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(561), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
      anon_sym_DOT,
      anon_sym_not,
    ACTIONS(657), 11,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(614), 1,
      anon_sym_var,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 2,
      sym_float,
      sym_pattern_open_ending,
    ACTIONS(659), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(483), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
      anon_sym_DOT,
      anon_sym_not,
    ACTIONS(665), 11,
      sym__string_start,
      sym_float,
      sym_node_path,
      sym_get_node,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(614), 1,
      anon_sym_var,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      sym_float,
    ACTIONS(667), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(485), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12646] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      sym__identifier,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(614), 1,
      anon_sym_var,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    ACTIONS(673), 1,
      sym_float,
    ACTIONS(671), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(504), 6,
      sym_identifier,
      sym_string,
      sym__pattern,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [12683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(271), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(678), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 6,
      anon_sym_in,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(497), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [12711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(271), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(587), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(579), 6,
      anon_sym_in,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(604), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [12739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(681), 14,
      sym__newline,
      sym__semicolon,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(687), 1,
      anon_sym_EQ,
    ACTIONS(685), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(689), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(691), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [12808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_COLON_EQ,
    ACTIONS(699), 1,
      anon_sym_COLON,
    ACTIONS(701), 1,
      anon_sym_EQ,
    ACTIONS(703), 1,
      anon_sym_setget,
    STATE(200), 1,
      sym_inferred_type,
    STATE(416), 1,
      sym_setget,
    ACTIONS(695), 2,
      sym__newline,
      sym__semicolon,
    STATE(298), 4,
      sym__variable_assignment,
      sym__variable_inferred_type_assignment,
      sym__variable_typed_assignment,
      sym__variable_typed_definition,
  [12840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(705), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [12860] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    STATE(279), 1,
      sym_export_argument_list,
    STATE(459), 1,
      sym__variable_statement,
    STATE(473), 1,
      sym_remote_keyword,
    ACTIONS(13), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(709), 3,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
  [12889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    STATE(415), 1,
      sym_remote_keyword,
    STATE(465), 1,
      sym__variable_statement,
    ACTIONS(13), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(709), 3,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
  [12912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_COLON,
    ACTIONS(715), 7,
      sym__newline,
      sym__semicolon,
      anon_sym_COLON_EQ,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_COMMA,
      anon_sym_LPAREN,
  [12928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(721), 4,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_var,
  [12943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_COLON_EQ,
    ACTIONS(701), 1,
      anon_sym_EQ,
    ACTIONS(723), 1,
      anon_sym_COLON,
    STATE(200), 1,
      sym_inferred_type,
    STATE(419), 3,
      sym__variable_assignment,
      sym__variable_inferred_type_assignment,
      sym__variable_typed_assignment,
  [12964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(727), 1,
      anon_sym_RPAREN,
    STATE(294), 1,
      sym_identifier,
    STATE(515), 1,
      sym__parameters,
    STATE(343), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [12985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(731), 4,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_var,
  [13000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(735), 4,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_var,
  [13015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(739), 4,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_var,
  [13030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(681), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [13056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(745), 1,
      sym__identifier,
    STATE(365), 1,
      sym_type,
    STATE(479), 1,
      sym_string,
    STATE(533), 1,
      sym_dotted_type,
  [13075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      sym__string_start,
    ACTIONS(747), 1,
      sym__identifier,
    STATE(331), 1,
      sym_type,
    STATE(399), 1,
      sym_string,
    STATE(439), 1,
      sym_dotted_type,
  [13094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(749), 1,
      anon_sym_RBRACE,
    ACTIONS(751), 1,
      sym_pattern_open_ending,
    STATE(412), 1,
      sym_pattern_pair,
    STATE(526), 1,
      sym_string,
  [13113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 5,
      sym__newline,
      sym__semicolon,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_DOT,
  [13124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(312), 1,
      sym_identifier,
    STATE(417), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [13139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_COLON,
    ACTIONS(755), 1,
      anon_sym_EQ,
    ACTIONS(757), 1,
      anon_sym_COMMA,
    ACTIONS(759), 1,
      anon_sym_RPAREN,
    STATE(363), 1,
      aux_sym__parameters_repeat1,
  [13158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_COLON,
    ACTIONS(715), 4,
      anon_sym_COLON_EQ,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [13171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_setget,
    STATE(460), 1,
      sym_setget,
    ACTIONS(765), 2,
      sym__newline,
      sym__semicolon,
  [13205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_COLON,
    ACTIONS(769), 1,
      anon_sym_DOT,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    STATE(535), 1,
      sym_return_type,
  [13221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(775), 1,
      anon_sym_COMMA,
    ACTIONS(777), 1,
      anon_sym_RPAREN,
    STATE(374), 1,
      aux_sym_export_argument_list_repeat1,
  [13247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(779), 3,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
  [13259] = 4,
    ACTIONS(781), 1,
      sym_comment,
    ACTIONS(785), 1,
      sym__string_end,
    STATE(316), 1,
      aux_sym_string_repeat1,
    ACTIONS(783), 2,
      sym__string_content,
      sym_escape_sequence,
  [13273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_DOT,
    STATE(313), 1,
      aux_sym_dotted_type_repeat1,
    ACTIONS(789), 2,
      sym__newline,
      sym__semicolon,
  [13297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      sym__identifier,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    STATE(66), 1,
      sym_enumerator_list,
    STATE(462), 1,
      sym_name,
  [13313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    STATE(395), 1,
      sym_identifier,
    STATE(508), 1,
      sym_enumerator,
  [13329] = 4,
    ACTIONS(781), 1,
      sym_comment,
    ACTIONS(801), 1,
      sym__string_end,
    STATE(315), 1,
      aux_sym_string_repeat1,
    ACTIONS(799), 2,
      sym__string_content,
      sym_escape_sequence,
  [13343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(803), 1,
      anon_sym_COMMA,
    ACTIONS(805), 1,
      anon_sym_RBRACK,
    STATE(367), 1,
      aux_sym_export_argument_list_repeat1,
  [13359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(807), 1,
      anon_sym_COLON,
    ACTIONS(809), 1,
      anon_sym_DOT,
    STATE(534), 1,
      sym_return_type,
  [13375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(204), 1,
      sym_identifier,
    STATE(210), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [13389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_COLON,
    ACTIONS(755), 1,
      anon_sym_EQ,
    ACTIONS(811), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [13403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 1,
      anon_sym_DOT,
    STATE(313), 1,
      aux_sym_dotted_type_repeat1,
    ACTIONS(813), 2,
      sym__newline,
      sym__semicolon,
  [13417] = 4,
    ACTIONS(781), 1,
      sym_comment,
    ACTIONS(820), 1,
      sym__string_end,
    STATE(308), 1,
      aux_sym_string_repeat1,
    ACTIONS(818), 2,
      sym__string_content,
      sym_escape_sequence,
  [13431] = 4,
    ACTIONS(781), 1,
      sym_comment,
    ACTIONS(825), 1,
      sym__string_end,
    STATE(315), 1,
      aux_sym_string_repeat1,
    ACTIONS(822), 2,
      sym__string_content,
      sym_escape_sequence,
  [13445] = 4,
    ACTIONS(781), 1,
      sym_comment,
    ACTIONS(827), 1,
      sym__string_end,
    STATE(315), 1,
      aux_sym_string_repeat1,
    ACTIONS(799), 2,
      sym__string_content,
      sym_escape_sequence,
  [13459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(829), 1,
      anon_sym_COMMA,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    STATE(354), 1,
      aux_sym_export_argument_list_repeat1,
  [13475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(833), 3,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
  [13487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      sym__identifier,
    STATE(115), 1,
      sym_identifier,
    STATE(130), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [13501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(829), 1,
      anon_sym_COMMA,
    ACTIONS(839), 1,
      anon_sym_RPAREN,
    STATE(406), 1,
      aux_sym_export_argument_list_repeat1,
  [13527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(841), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACK,
    STATE(391), 1,
      aux_sym_export_argument_list_repeat1,
  [13543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_COMMA,
    STATE(323), 1,
      aux_sym_export_argument_list_repeat1,
    ACTIONS(848), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [13557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      sym__string_start,
    ACTIONS(850), 1,
      sym_pattern_open_ending,
    STATE(486), 1,
      sym_pattern_pair,
    STATE(526), 1,
      sym_string,
  [13573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(854), 1,
      anon_sym_RBRACE,
    STATE(395), 1,
      sym_identifier,
    STATE(508), 1,
      sym_enumerator,
  [13599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      sym__identifier,
    ACTIONS(856), 1,
      anon_sym_LBRACE,
    STATE(74), 1,
      sym_enumerator_list,
    STATE(433), 1,
      sym_name,
  [13615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(858), 1,
      anon_sym_RBRACE,
    STATE(395), 1,
      sym_identifier,
    STATE(508), 1,
      sym_enumerator,
  [13631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [13641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_EQ,
    ACTIONS(862), 3,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
  [13653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_DOT,
    STATE(305), 1,
      aux_sym_dotted_type_repeat1,
    ACTIONS(866), 2,
      sym__newline,
      sym__semicolon,
  [13667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(868), 3,
      sym__newline,
      sym__semicolon,
      anon_sym_setget,
  [13679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(848), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [13691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(870), 1,
      anon_sym_RBRACE,
    STATE(395), 1,
      sym_identifier,
    STATE(508), 1,
      sym_enumerator,
  [13707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_LPAREN,
    STATE(435), 1,
      sym_signal_argument_list,
    ACTIONS(872), 2,
      sym__newline,
      sym__semicolon,
  [13721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(876), 1,
      anon_sym_RPAREN,
    STATE(370), 1,
      sym_identifier,
  [13734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 1,
      anon_sym_COLON,
    ACTIONS(880), 1,
      anon_sym_extends,
    STATE(529), 1,
      sym_extends_statement,
  [13747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    ACTIONS(882), 1,
      anon_sym_func,
    STATE(425), 1,
      sym__variable_statement,
  [13760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(884), 1,
      anon_sym_COMMA,
    STATE(339), 1,
      aux_sym__parameters_repeat1,
  [13773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym__init,
    STATE(475), 1,
      sym_name,
  [13786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(891), 1,
      anon_sym_COLON,
    STATE(520), 1,
      sym_return_type,
  [13799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(893), 1,
      anon_sym_COLON,
    STATE(516), 1,
      sym_return_type,
  [13812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_COMMA,
    ACTIONS(759), 1,
      anon_sym_RPAREN,
    STATE(363), 1,
      aux_sym__parameters_repeat1,
  [13825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(895), 1,
      anon_sym_COLON,
    STATE(525), 1,
      sym_return_type,
  [13838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(371), 1,
      sym_enumerator,
    STATE(395), 1,
      sym_identifier,
  [13851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [13860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_COMMA,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      aux_sym_pattern_dictionary_repeat1,
  [13873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_COMMA,
    ACTIONS(905), 1,
      anon_sym_RBRACK,
    STATE(358), 1,
      aux_sym_pattern_array_repeat1,
  [13886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_extends,
    ACTIONS(907), 1,
      anon_sym_COLON,
    STATE(513), 1,
      sym_extends_statement,
  [13899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_COLON,
    ACTIONS(911), 1,
      anon_sym_COMMA,
    STATE(350), 1,
      aux_sym_pattern_section_repeat1,
  [13912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(914), 1,
      sym__semicolon,
    ACTIONS(916), 1,
      sym__newline,
    STATE(384), 1,
      aux_sym__simple_statements_repeat1,
  [13925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_COMMA,
    ACTIONS(921), 1,
      anon_sym_RBRACE,
    STATE(352), 1,
      aux_sym_dictionary_repeat1,
  [13938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 1,
      anon_sym_COLON,
    ACTIONS(925), 1,
      anon_sym_COMMA,
    STATE(398), 1,
      aux_sym_pattern_section_repeat1,
  [13951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      anon_sym_COMMA,
    ACTIONS(927), 1,
      anon_sym_RPAREN,
    STATE(323), 1,
      aux_sym_export_argument_list_repeat1,
  [13964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COMMA,
    ACTIONS(932), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      aux_sym_pattern_dictionary_repeat1,
  [13977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym__identifier,
    ACTIONS(934), 1,
      anon_sym__init,
    STATE(426), 1,
      sym_name,
  [13990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    ACTIONS(936), 1,
      anon_sym_func,
    STATE(425), 1,
      sym__variable_statement,
  [14003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 1,
      anon_sym_COMMA,
    ACTIONS(941), 1,
      anon_sym_RBRACK,
    STATE(358), 1,
      aux_sym_pattern_array_repeat1,
  [14016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(943), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(945), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_RBRACE,
    ACTIONS(947), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      aux_sym_enumerator_list_repeat1,
  [14051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 1,
      anon_sym_RBRACE,
    ACTIONS(949), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      aux_sym_enumerator_list_repeat1,
  [14064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_COMMA,
    ACTIONS(951), 1,
      anon_sym_RPAREN,
    STATE(339), 1,
      aux_sym__parameters_repeat1,
  [14077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 3,
      sym__newline,
      sym__semicolon,
      anon_sym_DOT,
  [14086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      anon_sym_COLON,
    ACTIONS(953), 1,
      anon_sym_DOT,
    STATE(385), 1,
      aux_sym_dotted_type_repeat1,
  [14099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [14108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_RBRACK,
    ACTIONS(957), 1,
      anon_sym_COMMA,
    STATE(323), 1,
      aux_sym_export_argument_list_repeat1,
  [14121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 1,
      anon_sym_RBRACE,
    ACTIONS(959), 1,
      anon_sym_COMMA,
    STATE(352), 1,
      aux_sym_dictionary_repeat1,
  [14134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    STATE(518), 1,
      sym_return_type,
  [14147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_COMMA,
    ACTIONS(965), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      aux_sym_signal_argument_list_repeat1,
  [14160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_COMMA,
    ACTIONS(969), 1,
      anon_sym_RBRACE,
    STATE(362), 1,
      aux_sym_enumerator_list_repeat1,
  [14173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_COMMA,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    STATE(389), 1,
      aux_sym_signal_argument_list_repeat1,
  [14186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      anon_sym_COMMA,
    ACTIONS(977), 1,
      anon_sym_RBRACE,
    STATE(368), 1,
      aux_sym_dictionary_repeat1,
  [14199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(979), 1,
      anon_sym_COMMA,
    STATE(323), 1,
      aux_sym_export_argument_list_repeat1,
  [14212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(222), 1,
      sym__newline,
    ACTIONS(981), 1,
      sym__semicolon,
    STATE(404), 1,
      aux_sym__simple_statements_repeat1,
  [14225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      anon_sym_COMMA,
    ACTIONS(983), 2,
      sym__newline,
      sym__semicolon,
  [14236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    STATE(450), 1,
      sym_identifier,
  [14249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 3,
      sym__newline,
      sym__semicolon,
      anon_sym_COMMA,
  [14258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      sym__semicolon,
    ACTIONS(991), 1,
      sym__newline,
    STATE(375), 1,
      aux_sym__simple_statements_repeat1,
  [14271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(993), 1,
      anon_sym_COLON,
    STATE(531), 1,
      sym_return_type,
  [14284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    STATE(450), 1,
      sym_identifier,
  [14297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(997), 2,
      sym__newline,
      sym__semicolon,
  [14308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(999), 2,
      sym__newline,
      sym__semicolon,
  [14319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(226), 1,
      sym__newline,
    ACTIONS(1001), 1,
      sym__semicolon,
    STATE(404), 1,
      aux_sym__simple_statements_repeat1,
  [14332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_COLON,
    ACTIONS(953), 1,
      anon_sym_DOT,
    STATE(409), 1,
      aux_sym_dotted_type_repeat1,
  [14345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym__identifier,
    STATE(365), 1,
      sym_type,
    STATE(523), 1,
      sym_dotted_type,
  [14358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_if,
    ACTIONS(1003), 2,
      sym__newline,
      sym__semicolon,
  [14369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DASH_GT,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    STATE(532), 1,
      sym_return_type,
  [14382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_COMMA,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    STATE(389), 1,
      aux_sym_signal_argument_list_repeat1,
  [14395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_EQ,
    ACTIONS(1014), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_RBRACK,
    ACTIONS(1016), 1,
      anon_sym_COMMA,
    STATE(323), 1,
      aux_sym_export_argument_list_repeat1,
  [14419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_COMMA,
    ACTIONS(1018), 2,
      sym__newline,
      sym__semicolon,
  [14430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(525), 1,
      anon_sym_RBRACE,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    STATE(352), 1,
      aux_sym_dictionary_repeat1,
  [14443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_COMMA,
    ACTIONS(1026), 1,
      anon_sym_RBRACE,
    STATE(361), 1,
      aux_sym_enumerator_list_repeat1,
  [14456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_EQ,
    ACTIONS(1030), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_COMMA,
    ACTIONS(1035), 1,
      anon_sym_RBRACE,
    STATE(396), 1,
      aux_sym_enumerator_list_repeat1,
  [14480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      sym__identifier,
    STATE(331), 1,
      sym_type,
    STATE(480), 1,
      sym_dotted_type,
  [14493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_COMMA,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    STATE(350), 1,
      aux_sym_pattern_section_repeat1,
  [14506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_DOT,
    ACTIONS(1039), 2,
      sym__newline,
      sym__semicolon,
  [14517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      sym__string_start,
    STATE(471), 1,
      sym_string,
    STATE(472), 1,
      sym_class_name_icon_path,
  [14530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1043), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(394), 1,
      sym_enumerator,
    STATE(395), 1,
      sym_identifier,
  [14554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACK,
    STATE(348), 1,
      aux_sym_pattern_array_repeat1,
  [14567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      sym__semicolon,
    ACTIONS(1050), 1,
      sym__newline,
    STATE(404), 1,
      aux_sym__simple_statements_repeat1,
  [14580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_COMMA,
    ACTIONS(1054), 1,
      anon_sym_RBRACE,
    STATE(393), 1,
      aux_sym_dictionary_repeat1,
  [14593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      anon_sym_COMMA,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    STATE(323), 1,
      aux_sym_export_argument_list_repeat1,
  [14606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      sym__identifier,
    ACTIONS(1058), 1,
      anon_sym_EQ,
    STATE(330), 1,
      sym_type,
  [14619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 1,
      sym__identifier,
    ACTIONS(1062), 1,
      anon_sym_COMMA,
    STATE(376), 1,
      sym_setter,
  [14632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_COLON,
    ACTIONS(1064), 1,
      anon_sym_DOT,
    STATE(409), 1,
      aux_sym_dotted_type_repeat1,
  [14645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(395), 1,
      sym_identifier,
    STATE(508), 1,
      sym_enumerator,
  [14658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym__identifier,
    ACTIONS(1058), 1,
      anon_sym_EQ,
    STATE(528), 1,
      sym_type,
  [14671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      anon_sym_RBRACE,
    STATE(347), 1,
      aux_sym_pattern_dictionary_repeat1,
  [14684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 2,
      sym__newline,
      sym__semicolon,
  [14692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 2,
      sym__newline,
      sym__semicolon,
  [14700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    STATE(463), 1,
      sym__variable_statement,
  [14710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 2,
      sym__newline,
      sym__semicolon,
  [14718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_COLON,
      anon_sym_DOT,
  [14734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 2,
      sym__newline,
      sym__semicolon,
  [14742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(524), 1,
      sym_identifier,
  [14752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    STATE(380), 1,
      sym_parameters,
  [14762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1075), 1,
      anon_sym_else,
  [14772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 2,
      sym__newline,
      sym__semicolon,
  [14780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      sym__identifier,
    STATE(132), 1,
      sym_identifier,
  [14790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 2,
      sym__newline,
      sym__semicolon,
  [14798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    STATE(388), 1,
      sym_parameters,
  [14808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    STATE(310), 1,
      sym_parameters,
  [14818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      sym__identifier,
    STATE(474), 1,
      sym_name,
  [14828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1079), 1,
      anon_sym_COLON,
  [14838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    STATE(425), 1,
      sym__variable_statement,
  [14848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1081), 1,
      anon_sym_COLON,
  [14858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 2,
      sym__newline,
      sym__semicolon,
  [14866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_LBRACE,
    STATE(101), 1,
      sym_enumerator_list,
  [14876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym__identifier,
    STATE(527), 1,
      sym_type,
  [14886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 2,
      sym__newline,
      sym__semicolon,
  [14894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1087), 1,
      anon_sym_COLON,
  [14904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    STATE(369), 1,
      sym_argument_list,
  [14914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1089), 1,
      anon_sym_COLON,
  [14924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym__newline,
      sym__semicolon,
  [14932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      sym__identifier,
    STATE(364), 1,
      sym_type,
  [14942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1091), 1,
      anon_sym_COLON,
  [14952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 2,
      sym__newline,
      sym__semicolon,
  [14960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_LPAREN,
    STATE(126), 1,
      sym_argument_list,
  [14970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      sym__indent,
    STATE(414), 1,
      sym_match_body,
  [14980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 2,
      sym__newline,
      sym__semicolon,
  [14988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym__identifier,
    STATE(418), 1,
      sym_type,
  [14998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [15006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1099), 1,
      anon_sym_else,
  [15016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1101), 1,
      anon_sym_RBRACK,
  [15026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(209), 1,
      sym_identifier,
  [15044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 2,
      sym__newline,
      sym__semicolon,
  [15052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 2,
      sym__newline,
      sym__semicolon,
  [15060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 2,
      sym__newline,
      sym__semicolon,
  [15068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      sym__identifier,
    STATE(453), 1,
      sym_getter,
  [15078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_DOT,
    STATE(165), 1,
      aux_sym_attribute_repeat1,
  [15088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      sym__identifier,
    STATE(442), 1,
      sym_getter,
  [15098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1111), 1,
      anon_sym_RPAREN,
  [15108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 2,
      sym__newline,
      sym__semicolon,
  [15116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 2,
      sym__newline,
      sym__semicolon,
  [15124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    STATE(217), 1,
      sym_argument_list,
  [15134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    STATE(100), 1,
      sym_enumerator_list,
  [15144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 2,
      sym__newline,
      sym__semicolon,
  [15152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 2,
      sym__newline,
      sym__semicolon,
  [15160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 2,
      sym__newline,
      sym__semicolon,
  [15168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1123), 1,
      anon_sym_RPAREN,
  [15178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    STATE(341), 1,
      sym_argument_list,
  [15188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 2,
      anon_sym_var,
      anon_sym_func,
  [15196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      sym__identifier,
    STATE(421), 1,
      sym_name,
  [15206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__newline,
      sym__semicolon,
  [15214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__newline,
      sym__semicolon,
  [15222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__newline,
      sym__semicolon,
  [15230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    STATE(465), 1,
      sym__variable_statement,
  [15240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    STATE(342), 1,
      sym_parameters,
  [15250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    STATE(344), 1,
      sym_parameters,
  [15260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    STATE(299), 1,
      sym_parameters,
  [15270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1133), 1,
      anon_sym_RBRACK,
  [15280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_DOT,
    STATE(102), 1,
      aux_sym_attribute_repeat1,
  [15290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_COLON,
    ACTIONS(1135), 1,
      anon_sym_DOT,
  [15300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__newline,
      sym__semicolon,
  [15308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1139), 1,
      anon_sym_COLON,
  [15318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__newline,
      sym__semicolon,
  [15326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [15334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__identifier,
    STATE(349), 1,
      sym_name,
  [15344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__identifier,
    STATE(337), 1,
      sym_name,
  [15378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(514), 1,
      sym_identifier,
  [15388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym__identifier,
    STATE(390), 1,
      sym_type,
  [15398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(300), 1,
      sym_identifier,
  [15416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(443), 1,
      sym_identifier,
  [15426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      sym__identifier,
    STATE(392), 1,
      sym_name,
  [15436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      sym__identifier,
    STATE(335), 1,
      sym_name,
  [15446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__newline,
      sym__semicolon,
  [15454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      sym__identifier,
    STATE(276), 1,
      sym_name,
  [15464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_DOT,
    STATE(114), 1,
      aux_sym_attribute_repeat1,
  [15474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_DOT,
    STATE(179), 1,
      aux_sym_attribute_repeat1,
  [15484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__newline,
      sym__semicolon,
  [15492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(461), 1,
      sym_identifier,
  [15502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_COLON,
  [15512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1157), 1,
      anon_sym_COLON,
  [15522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [15530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__identifier,
    STATE(450), 1,
      sym_identifier,
  [15540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__newline,
      sym__semicolon,
  [15548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      sym__identifier,
    STATE(282), 1,
      sym_name,
  [15558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1161), 1,
      anon_sym_COLON,
  [15576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__newline,
      sym__semicolon,
  [15584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_var,
    STATE(454), 1,
      sym__variable_statement,
  [15594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_if,
    ACTIONS(1165), 1,
      anon_sym_COLON,
  [15604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_COLON,
  [15611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_in,
  [15618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
  [15625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_COLON,
  [15632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_COLON,
  [15639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_COLON,
  [15646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_COLON,
  [15653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_COLON,
  [15660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      ts_builtin_sym_end,
  [15667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_func,
  [15674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_COLON,
  [15681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_in,
  [15688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_COLON,
  [15695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_COLON,
  [15702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_COLON,
  [15709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_EQ,
  [15716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_COLON,
  [15723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(936), 1,
      anon_sym_func,
  [15730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_COLON,
  [15737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_COLON,
  [15744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_COLON,
  [15751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_COLON,
  [15758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_COLON,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(44)] = 0,
  [SMALL_STATE(45)] = 67,
  [SMALL_STATE(46)] = 134,
  [SMALL_STATE(47)] = 201,
  [SMALL_STATE(48)] = 268,
  [SMALL_STATE(49)] = 330,
  [SMALL_STATE(50)] = 392,
  [SMALL_STATE(51)] = 449,
  [SMALL_STATE(52)] = 506,
  [SMALL_STATE(53)] = 563,
  [SMALL_STATE(54)] = 620,
  [SMALL_STATE(55)] = 677,
  [SMALL_STATE(56)] = 734,
  [SMALL_STATE(57)] = 790,
  [SMALL_STATE(58)] = 846,
  [SMALL_STATE(59)] = 902,
  [SMALL_STATE(60)] = 958,
  [SMALL_STATE(61)] = 1014,
  [SMALL_STATE(62)] = 1070,
  [SMALL_STATE(63)] = 1126,
  [SMALL_STATE(64)] = 1182,
  [SMALL_STATE(65)] = 1236,
  [SMALL_STATE(66)] = 1290,
  [SMALL_STATE(67)] = 1344,
  [SMALL_STATE(68)] = 1398,
  [SMALL_STATE(69)] = 1452,
  [SMALL_STATE(70)] = 1506,
  [SMALL_STATE(71)] = 1560,
  [SMALL_STATE(72)] = 1614,
  [SMALL_STATE(73)] = 1668,
  [SMALL_STATE(74)] = 1722,
  [SMALL_STATE(75)] = 1776,
  [SMALL_STATE(76)] = 1830,
  [SMALL_STATE(77)] = 1884,
  [SMALL_STATE(78)] = 1938,
  [SMALL_STATE(79)] = 1992,
  [SMALL_STATE(80)] = 2046,
  [SMALL_STATE(81)] = 2100,
  [SMALL_STATE(82)] = 2154,
  [SMALL_STATE(83)] = 2208,
  [SMALL_STATE(84)] = 2262,
  [SMALL_STATE(85)] = 2316,
  [SMALL_STATE(86)] = 2370,
  [SMALL_STATE(87)] = 2424,
  [SMALL_STATE(88)] = 2478,
  [SMALL_STATE(89)] = 2532,
  [SMALL_STATE(90)] = 2586,
  [SMALL_STATE(91)] = 2640,
  [SMALL_STATE(92)] = 2694,
  [SMALL_STATE(93)] = 2748,
  [SMALL_STATE(94)] = 2802,
  [SMALL_STATE(95)] = 2856,
  [SMALL_STATE(96)] = 2910,
  [SMALL_STATE(97)] = 2964,
  [SMALL_STATE(98)] = 3018,
  [SMALL_STATE(99)] = 3072,
  [SMALL_STATE(100)] = 3126,
  [SMALL_STATE(101)] = 3180,
  [SMALL_STATE(102)] = 3234,
  [SMALL_STATE(103)] = 3288,
  [SMALL_STATE(104)] = 3344,
  [SMALL_STATE(105)] = 3414,
  [SMALL_STATE(106)] = 3486,
  [SMALL_STATE(107)] = 3546,
  [SMALL_STATE(108)] = 3604,
  [SMALL_STATE(109)] = 3672,
  [SMALL_STATE(110)] = 3754,
  [SMALL_STATE(111)] = 3820,
  [SMALL_STATE(112)] = 3884,
  [SMALL_STATE(113)] = 3946,
  [SMALL_STATE(114)] = 4002,
  [SMALL_STATE(115)] = 4054,
  [SMALL_STATE(116)] = 4110,
  [SMALL_STATE(117)] = 4168,
  [SMALL_STATE(118)] = 4222,
  [SMALL_STATE(119)] = 4271,
  [SMALL_STATE(120)] = 4320,
  [SMALL_STATE(121)] = 4369,
  [SMALL_STATE(122)] = 4418,
  [SMALL_STATE(123)] = 4467,
  [SMALL_STATE(124)] = 4518,
  [SMALL_STATE(125)] = 4567,
  [SMALL_STATE(126)] = 4616,
  [SMALL_STATE(127)] = 4665,
  [SMALL_STATE(128)] = 4714,
  [SMALL_STATE(129)] = 4763,
  [SMALL_STATE(130)] = 4812,
  [SMALL_STATE(131)] = 4861,
  [SMALL_STATE(132)] = 4910,
  [SMALL_STATE(133)] = 4959,
  [SMALL_STATE(134)] = 5008,
  [SMALL_STATE(135)] = 5057,
  [SMALL_STATE(136)] = 5106,
  [SMALL_STATE(137)] = 5155,
  [SMALL_STATE(138)] = 5204,
  [SMALL_STATE(139)] = 5253,
  [SMALL_STATE(140)] = 5302,
  [SMALL_STATE(141)] = 5351,
  [SMALL_STATE(142)] = 5426,
  [SMALL_STATE(143)] = 5500,
  [SMALL_STATE(144)] = 5574,
  [SMALL_STATE(145)] = 5648,
  [SMALL_STATE(146)] = 5722,
  [SMALL_STATE(147)] = 5792,
  [SMALL_STATE(148)] = 5866,
  [SMALL_STATE(149)] = 5940,
  [SMALL_STATE(150)] = 6011,
  [SMALL_STATE(151)] = 6080,
  [SMALL_STATE(152)] = 6149,
  [SMALL_STATE(153)] = 6218,
  [SMALL_STATE(154)] = 6287,
  [SMALL_STATE(155)] = 6356,
  [SMALL_STATE(156)] = 6425,
  [SMALL_STATE(157)] = 6494,
  [SMALL_STATE(158)] = 6563,
  [SMALL_STATE(159)] = 6632,
  [SMALL_STATE(160)] = 6701,
  [SMALL_STATE(161)] = 6770,
  [SMALL_STATE(162)] = 6830,
  [SMALL_STATE(163)] = 6896,
  [SMALL_STATE(164)] = 6948,
  [SMALL_STATE(165)] = 7012,
  [SMALL_STATE(166)] = 7058,
  [SMALL_STATE(167)] = 7100,
  [SMALL_STATE(168)] = 7166,
  [SMALL_STATE(169)] = 7232,
  [SMALL_STATE(170)] = 7298,
  [SMALL_STATE(171)] = 7364,
  [SMALL_STATE(172)] = 7430,
  [SMALL_STATE(173)] = 7496,
  [SMALL_STATE(174)] = 7562,
  [SMALL_STATE(175)] = 7628,
  [SMALL_STATE(176)] = 7694,
  [SMALL_STATE(177)] = 7760,
  [SMALL_STATE(178)] = 7826,
  [SMALL_STATE(179)] = 7892,
  [SMALL_STATE(180)] = 7936,
  [SMALL_STATE(181)] = 7978,
  [SMALL_STATE(182)] = 8044,
  [SMALL_STATE(183)] = 8110,
  [SMALL_STATE(184)] = 8160,
  [SMALL_STATE(185)] = 8222,
  [SMALL_STATE(186)] = 8288,
  [SMALL_STATE(187)] = 8354,
  [SMALL_STATE(188)] = 8420,
  [SMALL_STATE(189)] = 8486,
  [SMALL_STATE(190)] = 8552,
  [SMALL_STATE(191)] = 8618,
  [SMALL_STATE(192)] = 8690,
  [SMALL_STATE(193)] = 8732,
  [SMALL_STATE(194)] = 8798,
  [SMALL_STATE(195)] = 8864,
  [SMALL_STATE(196)] = 8914,
  [SMALL_STATE(197)] = 8962,
  [SMALL_STATE(198)] = 9020,
  [SMALL_STATE(199)] = 9076,
  [SMALL_STATE(200)] = 9130,
  [SMALL_STATE(201)] = 9196,
  [SMALL_STATE(202)] = 9238,
  [SMALL_STATE(203)] = 9286,
  [SMALL_STATE(204)] = 9352,
  [SMALL_STATE(205)] = 9400,
  [SMALL_STATE(206)] = 9466,
  [SMALL_STATE(207)] = 9512,
  [SMALL_STATE(208)] = 9553,
  [SMALL_STATE(209)] = 9594,
  [SMALL_STATE(210)] = 9635,
  [SMALL_STATE(211)] = 9676,
  [SMALL_STATE(212)] = 9717,
  [SMALL_STATE(213)] = 9758,
  [SMALL_STATE(214)] = 9801,
  [SMALL_STATE(215)] = 9842,
  [SMALL_STATE(216)] = 9883,
  [SMALL_STATE(217)] = 9924,
  [SMALL_STATE(218)] = 9965,
  [SMALL_STATE(219)] = 10006,
  [SMALL_STATE(220)] = 10047,
  [SMALL_STATE(221)] = 10114,
  [SMALL_STATE(222)] = 10155,
  [SMALL_STATE(223)] = 10196,
  [SMALL_STATE(224)] = 10237,
  [SMALL_STATE(225)] = 10278,
  [SMALL_STATE(226)] = 10319,
  [SMALL_STATE(227)] = 10360,
  [SMALL_STATE(228)] = 10430,
  [SMALL_STATE(229)] = 10491,
  [SMALL_STATE(230)] = 10552,
  [SMALL_STATE(231)] = 10613,
  [SMALL_STATE(232)] = 10674,
  [SMALL_STATE(233)] = 10735,
  [SMALL_STATE(234)] = 10796,
  [SMALL_STATE(235)] = 10857,
  [SMALL_STATE(236)] = 10918,
  [SMALL_STATE(237)] = 10979,
  [SMALL_STATE(238)] = 11040,
  [SMALL_STATE(239)] = 11101,
  [SMALL_STATE(240)] = 11162,
  [SMALL_STATE(241)] = 11223,
  [SMALL_STATE(242)] = 11284,
  [SMALL_STATE(243)] = 11345,
  [SMALL_STATE(244)] = 11406,
  [SMALL_STATE(245)] = 11467,
  [SMALL_STATE(246)] = 11528,
  [SMALL_STATE(247)] = 11589,
  [SMALL_STATE(248)] = 11650,
  [SMALL_STATE(249)] = 11711,
  [SMALL_STATE(250)] = 11772,
  [SMALL_STATE(251)] = 11833,
  [SMALL_STATE(252)] = 11894,
  [SMALL_STATE(253)] = 11955,
  [SMALL_STATE(254)] = 12016,
  [SMALL_STATE(255)] = 12057,
  [SMALL_STATE(256)] = 12095,
  [SMALL_STATE(257)] = 12133,
  [SMALL_STATE(258)] = 12166,
  [SMALL_STATE(259)] = 12210,
  [SMALL_STATE(260)] = 12262,
  [SMALL_STATE(261)] = 12314,
  [SMALL_STATE(262)] = 12358,
  [SMALL_STATE(263)] = 12388,
  [SMALL_STATE(264)] = 12429,
  [SMALL_STATE(265)] = 12470,
  [SMALL_STATE(266)] = 12519,
  [SMALL_STATE(267)] = 12545,
  [SMALL_STATE(268)] = 12583,
  [SMALL_STATE(269)] = 12609,
  [SMALL_STATE(270)] = 12646,
  [SMALL_STATE(271)] = 12683,
  [SMALL_STATE(272)] = 12711,
  [SMALL_STATE(273)] = 12739,
  [SMALL_STATE(274)] = 12762,
  [SMALL_STATE(275)] = 12788,
  [SMALL_STATE(276)] = 12808,
  [SMALL_STATE(277)] = 12840,
  [SMALL_STATE(278)] = 12860,
  [SMALL_STATE(279)] = 12889,
  [SMALL_STATE(280)] = 12912,
  [SMALL_STATE(281)] = 12928,
  [SMALL_STATE(282)] = 12943,
  [SMALL_STATE(283)] = 12964,
  [SMALL_STATE(284)] = 12985,
  [SMALL_STATE(285)] = 13000,
  [SMALL_STATE(286)] = 13015,
  [SMALL_STATE(287)] = 13030,
  [SMALL_STATE(288)] = 13045,
  [SMALL_STATE(289)] = 13056,
  [SMALL_STATE(290)] = 13075,
  [SMALL_STATE(291)] = 13094,
  [SMALL_STATE(292)] = 13113,
  [SMALL_STATE(293)] = 13124,
  [SMALL_STATE(294)] = 13139,
  [SMALL_STATE(295)] = 13158,
  [SMALL_STATE(296)] = 13171,
  [SMALL_STATE(297)] = 13181,
  [SMALL_STATE(298)] = 13191,
  [SMALL_STATE(299)] = 13205,
  [SMALL_STATE(300)] = 13221,
  [SMALL_STATE(301)] = 13231,
  [SMALL_STATE(302)] = 13247,
  [SMALL_STATE(303)] = 13259,
  [SMALL_STATE(304)] = 13273,
  [SMALL_STATE(305)] = 13283,
  [SMALL_STATE(306)] = 13297,
  [SMALL_STATE(307)] = 13313,
  [SMALL_STATE(308)] = 13329,
  [SMALL_STATE(309)] = 13343,
  [SMALL_STATE(310)] = 13359,
  [SMALL_STATE(311)] = 13375,
  [SMALL_STATE(312)] = 13389,
  [SMALL_STATE(313)] = 13403,
  [SMALL_STATE(314)] = 13417,
  [SMALL_STATE(315)] = 13431,
  [SMALL_STATE(316)] = 13445,
  [SMALL_STATE(317)] = 13459,
  [SMALL_STATE(318)] = 13475,
  [SMALL_STATE(319)] = 13487,
  [SMALL_STATE(320)] = 13501,
  [SMALL_STATE(321)] = 13511,
  [SMALL_STATE(322)] = 13527,
  [SMALL_STATE(323)] = 13543,
  [SMALL_STATE(324)] = 13557,
  [SMALL_STATE(325)] = 13573,
  [SMALL_STATE(326)] = 13583,
  [SMALL_STATE(327)] = 13599,
  [SMALL_STATE(328)] = 13615,
  [SMALL_STATE(329)] = 13631,
  [SMALL_STATE(330)] = 13641,
  [SMALL_STATE(331)] = 13653,
  [SMALL_STATE(332)] = 13667,
  [SMALL_STATE(333)] = 13679,
  [SMALL_STATE(334)] = 13691,
  [SMALL_STATE(335)] = 13707,
  [SMALL_STATE(336)] = 13721,
  [SMALL_STATE(337)] = 13734,
  [SMALL_STATE(338)] = 13747,
  [SMALL_STATE(339)] = 13760,
  [SMALL_STATE(340)] = 13773,
  [SMALL_STATE(341)] = 13786,
  [SMALL_STATE(342)] = 13799,
  [SMALL_STATE(343)] = 13812,
  [SMALL_STATE(344)] = 13825,
  [SMALL_STATE(345)] = 13838,
  [SMALL_STATE(346)] = 13851,
  [SMALL_STATE(347)] = 13860,
  [SMALL_STATE(348)] = 13873,
  [SMALL_STATE(349)] = 13886,
  [SMALL_STATE(350)] = 13899,
  [SMALL_STATE(351)] = 13912,
  [SMALL_STATE(352)] = 13925,
  [SMALL_STATE(353)] = 13938,
  [SMALL_STATE(354)] = 13951,
  [SMALL_STATE(355)] = 13964,
  [SMALL_STATE(356)] = 13977,
  [SMALL_STATE(357)] = 13990,
  [SMALL_STATE(358)] = 14003,
  [SMALL_STATE(359)] = 14016,
  [SMALL_STATE(360)] = 14027,
  [SMALL_STATE(361)] = 14038,
  [SMALL_STATE(362)] = 14051,
  [SMALL_STATE(363)] = 14064,
  [SMALL_STATE(364)] = 14077,
  [SMALL_STATE(365)] = 14086,
  [SMALL_STATE(366)] = 14099,
  [SMALL_STATE(367)] = 14108,
  [SMALL_STATE(368)] = 14121,
  [SMALL_STATE(369)] = 14134,
  [SMALL_STATE(370)] = 14147,
  [SMALL_STATE(371)] = 14160,
  [SMALL_STATE(372)] = 14173,
  [SMALL_STATE(373)] = 14186,
  [SMALL_STATE(374)] = 14199,
  [SMALL_STATE(375)] = 14212,
  [SMALL_STATE(376)] = 14225,
  [SMALL_STATE(377)] = 14236,
  [SMALL_STATE(378)] = 14249,
  [SMALL_STATE(379)] = 14258,
  [SMALL_STATE(380)] = 14271,
  [SMALL_STATE(381)] = 14284,
  [SMALL_STATE(382)] = 14297,
  [SMALL_STATE(383)] = 14308,
  [SMALL_STATE(384)] = 14319,
  [SMALL_STATE(385)] = 14332,
  [SMALL_STATE(386)] = 14345,
  [SMALL_STATE(387)] = 14358,
  [SMALL_STATE(388)] = 14369,
  [SMALL_STATE(389)] = 14382,
  [SMALL_STATE(390)] = 14395,
  [SMALL_STATE(391)] = 14406,
  [SMALL_STATE(392)] = 14419,
  [SMALL_STATE(393)] = 14430,
  [SMALL_STATE(394)] = 14443,
  [SMALL_STATE(395)] = 14456,
  [SMALL_STATE(396)] = 14467,
  [SMALL_STATE(397)] = 14480,
  [SMALL_STATE(398)] = 14493,
  [SMALL_STATE(399)] = 14506,
  [SMALL_STATE(400)] = 14517,
  [SMALL_STATE(401)] = 14530,
  [SMALL_STATE(402)] = 14541,
  [SMALL_STATE(403)] = 14554,
  [SMALL_STATE(404)] = 14567,
  [SMALL_STATE(405)] = 14580,
  [SMALL_STATE(406)] = 14593,
  [SMALL_STATE(407)] = 14606,
  [SMALL_STATE(408)] = 14619,
  [SMALL_STATE(409)] = 14632,
  [SMALL_STATE(410)] = 14645,
  [SMALL_STATE(411)] = 14658,
  [SMALL_STATE(412)] = 14671,
  [SMALL_STATE(413)] = 14684,
  [SMALL_STATE(414)] = 14692,
  [SMALL_STATE(415)] = 14700,
  [SMALL_STATE(416)] = 14710,
  [SMALL_STATE(417)] = 14718,
  [SMALL_STATE(418)] = 14726,
  [SMALL_STATE(419)] = 14734,
  [SMALL_STATE(420)] = 14742,
  [SMALL_STATE(421)] = 14752,
  [SMALL_STATE(422)] = 14762,
  [SMALL_STATE(423)] = 14772,
  [SMALL_STATE(424)] = 14780,
  [SMALL_STATE(425)] = 14790,
  [SMALL_STATE(426)] = 14798,
  [SMALL_STATE(427)] = 14808,
  [SMALL_STATE(428)] = 14818,
  [SMALL_STATE(429)] = 14828,
  [SMALL_STATE(430)] = 14838,
  [SMALL_STATE(431)] = 14848,
  [SMALL_STATE(432)] = 14858,
  [SMALL_STATE(433)] = 14866,
  [SMALL_STATE(434)] = 14876,
  [SMALL_STATE(435)] = 14886,
  [SMALL_STATE(436)] = 14894,
  [SMALL_STATE(437)] = 14904,
  [SMALL_STATE(438)] = 14914,
  [SMALL_STATE(439)] = 14924,
  [SMALL_STATE(440)] = 14932,
  [SMALL_STATE(441)] = 14942,
  [SMALL_STATE(442)] = 14952,
  [SMALL_STATE(443)] = 14960,
  [SMALL_STATE(444)] = 14970,
  [SMALL_STATE(445)] = 14980,
  [SMALL_STATE(446)] = 14988,
  [SMALL_STATE(447)] = 14998,
  [SMALL_STATE(448)] = 15006,
  [SMALL_STATE(449)] = 15016,
  [SMALL_STATE(450)] = 15026,
  [SMALL_STATE(451)] = 15034,
  [SMALL_STATE(452)] = 15044,
  [SMALL_STATE(453)] = 15052,
  [SMALL_STATE(454)] = 15060,
  [SMALL_STATE(455)] = 15068,
  [SMALL_STATE(456)] = 15078,
  [SMALL_STATE(457)] = 15088,
  [SMALL_STATE(458)] = 15098,
  [SMALL_STATE(459)] = 15108,
  [SMALL_STATE(460)] = 15116,
  [SMALL_STATE(461)] = 15124,
  [SMALL_STATE(462)] = 15134,
  [SMALL_STATE(463)] = 15144,
  [SMALL_STATE(464)] = 15152,
  [SMALL_STATE(465)] = 15160,
  [SMALL_STATE(466)] = 15168,
  [SMALL_STATE(467)] = 15178,
  [SMALL_STATE(468)] = 15188,
  [SMALL_STATE(469)] = 15196,
  [SMALL_STATE(470)] = 15206,
  [SMALL_STATE(471)] = 15214,
  [SMALL_STATE(472)] = 15222,
  [SMALL_STATE(473)] = 15230,
  [SMALL_STATE(474)] = 15240,
  [SMALL_STATE(475)] = 15250,
  [SMALL_STATE(476)] = 15260,
  [SMALL_STATE(477)] = 15270,
  [SMALL_STATE(478)] = 15280,
  [SMALL_STATE(479)] = 15290,
  [SMALL_STATE(480)] = 15300,
  [SMALL_STATE(481)] = 15308,
  [SMALL_STATE(482)] = 15318,
  [SMALL_STATE(483)] = 15326,
  [SMALL_STATE(484)] = 15334,
  [SMALL_STATE(485)] = 15344,
  [SMALL_STATE(486)] = 15352,
  [SMALL_STATE(487)] = 15360,
  [SMALL_STATE(488)] = 15368,
  [SMALL_STATE(489)] = 15378,
  [SMALL_STATE(490)] = 15388,
  [SMALL_STATE(491)] = 15398,
  [SMALL_STATE(492)] = 15406,
  [SMALL_STATE(493)] = 15416,
  [SMALL_STATE(494)] = 15426,
  [SMALL_STATE(495)] = 15436,
  [SMALL_STATE(496)] = 15446,
  [SMALL_STATE(497)] = 15454,
  [SMALL_STATE(498)] = 15464,
  [SMALL_STATE(499)] = 15474,
  [SMALL_STATE(500)] = 15484,
  [SMALL_STATE(501)] = 15492,
  [SMALL_STATE(502)] = 15502,
  [SMALL_STATE(503)] = 15512,
  [SMALL_STATE(504)] = 15522,
  [SMALL_STATE(505)] = 15530,
  [SMALL_STATE(506)] = 15540,
  [SMALL_STATE(507)] = 15548,
  [SMALL_STATE(508)] = 15558,
  [SMALL_STATE(509)] = 15566,
  [SMALL_STATE(510)] = 15576,
  [SMALL_STATE(511)] = 15584,
  [SMALL_STATE(512)] = 15594,
  [SMALL_STATE(513)] = 15604,
  [SMALL_STATE(514)] = 15611,
  [SMALL_STATE(515)] = 15618,
  [SMALL_STATE(516)] = 15625,
  [SMALL_STATE(517)] = 15632,
  [SMALL_STATE(518)] = 15639,
  [SMALL_STATE(519)] = 15646,
  [SMALL_STATE(520)] = 15653,
  [SMALL_STATE(521)] = 15660,
  [SMALL_STATE(522)] = 15667,
  [SMALL_STATE(523)] = 15674,
  [SMALL_STATE(524)] = 15681,
  [SMALL_STATE(525)] = 15688,
  [SMALL_STATE(526)] = 15695,
  [SMALL_STATE(527)] = 15702,
  [SMALL_STATE(528)] = 15709,
  [SMALL_STATE(529)] = 15716,
  [SMALL_STATE(530)] = 15723,
  [SMALL_STATE(531)] = 15730,
  [SMALL_STATE(532)] = 15737,
  [SMALL_STATE(533)] = 15744,
  [SMALL_STATE(534)] = 15751,
  [SMALL_STATE(535)] = 15758,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [87] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 1),
  [89] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(120),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(123),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(530),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(468),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(123),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(497),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(170),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(278),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(511),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(507),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(146),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(506),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(500),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(351),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(496),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(495),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(494),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(493),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(290),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(176),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(489),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(177),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(488),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(327),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(148),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(178),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(154),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(229),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(229),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(356),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(303),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(522),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(379),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(169),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(420),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(168),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(484),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(306),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(340),
  [208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5),
  [242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5),
  [244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(194),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(175),
  [254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 2),
  [256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 2),
  [258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 1),
  [264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 1),
  [266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 3),
  [276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 3),
  [278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4),
  [280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3),
  [290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_definition, 2),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 2),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 6),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 6),
  [298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 5),
  [300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 5),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6),
  [306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6),
  [310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5),
  [312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5),
  [314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 5),
  [316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 5),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 8),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 8),
  [330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5),
  [332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 7),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 7),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_definition, 3),
  [352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3),
  [354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2),
  [356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2),
  [400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_repeat1, 2),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2),
  [406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2), SHIFT_REPEAT(319),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_call, 2),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_call, 2),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_expression, 1),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_call, 3),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_base_call, 3),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_subscript, 4),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_subscript, 4),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2), SHIFT_REPEAT(311),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(234),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(234),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enumerator_expression, 1),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(201),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(353),
  [632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(353),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(492),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(291),
  [641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(264),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2),
  [646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2), SHIFT_REPEAT(314),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inferred_type, 1),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_type, 1),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inferred_type, 2),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_type, 2),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(236),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(236),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_section, 4),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_section, 4),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 2),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_section, 3),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_section, 3),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_name, 1),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_name, 1),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_argument_list, 3),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_argument_list, 3),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_argument_list, 4),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_argument_list, 4),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_argument_list, 2),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_argument_list, 2),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_argument_list, 5),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_argument_list, 5),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_dictionary, 2),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_dictionary, 4),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 3),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_binding, 2),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_typed_assignment, 4),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_array, 2),
  [789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_type, 2),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_type_repeat1, 2),
  [815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_type_repeat1, 2), SHIFT_REPEAT(440),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(315),
  [825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_assignment, 2),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_array, 4),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_argument_list_repeat1, 2), SHIFT_REPEAT(189),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_argument_list_repeat1, 2),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_dictionary, 3),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_array, 3),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_typed_definition, 2),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_type, 1),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_inferred_type_assignment, 2),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_statement, 2),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(293),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_section_repeat1, 2),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_section_repeat1, 2), SHIFT_REPEAT(270),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(149),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_dictionary_repeat1, 2), SHIFT_REPEAT(324),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_dictionary_repeat1, 2),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_array_repeat1, 2), SHIFT_REPEAT(267),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_array_repeat1, 2),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 2),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 1),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signal_argument_list_repeat1, 2), SHIFT_REPEAT(505),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signal_argument_list_repeat1, 2),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_name_statement, 2),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1),
  [1032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(410),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_statement, 2),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(43),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_type_repeat1, 2), SHIFT_REPEAT(446),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_statement, 3),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_statement, 2),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 1),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_statement, 3),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 3),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_body, 3),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_argument_list, 4),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 4),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_onready_variable_statement, 2),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 2),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 4),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_argument_list, 3),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 3),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_keyword, 1),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_argument_list, 2),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_name_icon_path, 1),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_name_statement, 4),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_statement, 4),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_statement, 1),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_pair, 3),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_argument_list, 5),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1183] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_type, 2),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_gdscript_external_scanner_create(void);
void tree_sitter_gdscript_external_scanner_destroy(void *);
bool tree_sitter_gdscript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_gdscript_external_scanner_serialize(void *, char *);
void tree_sitter_gdscript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_gdscript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_gdscript_external_scanner_create,
      tree_sitter_gdscript_external_scanner_destroy,
      tree_sitter_gdscript_external_scanner_scan,
      tree_sitter_gdscript_external_scanner_serialize,
      tree_sitter_gdscript_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
